import { Router, CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { BluiAuthSecurityService } from '../../services/state/auth-security.service';
import { BluiAuthConfig } from '../../services/config/auth-config';
export declare class BluiAuthPageDisabledGuard implements CanActivate {
    securityService: BluiAuthSecurityService;
    private readonly _bluiAuthConfig;
    router: Router;
    constructor(securityService: BluiAuthSecurityService, _bluiAuthConfig: BluiAuthConfig, router: Router);
    navigateRoot(): boolean;
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean;
}
