import { AfterViewInit, ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { BluiAuthConfig } from '../../services/config/auth-config';
import { BluiAuthTranslations } from '../../translations/auth-translations';
export declare class BluiContactSupportComponent implements OnInit, AfterViewInit {
    private readonly _bluiAuthConfig;
    private readonly _router;
    private readonly _changeDetectorRef;
    instructions: string;
    iconEl: ElementRef;
    instructionsEl: any;
    isEmpty: (el: ElementRef) => boolean;
    translate: BluiAuthTranslations;
    constructor(_bluiAuthConfig: BluiAuthConfig, _router: Router, _changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    getGeneralSupportDescription(): string;
    getEmergencySupportDescription(): string;
    navigateToLogin(): void;
}
