import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { BluiFormsService } from '../../../../services/forms/forms.service';
import { BluiAuthConfig } from '../../../../services/config/auth-config';
import { BluiAuthTranslations } from '../../../../translations/auth-translations';
export declare class BluiAccountDetailsComponent implements OnInit {
    bluiFormsService: BluiFormsService;
    private readonly _bluiAuthConfig;
    showDefaultAccountDetails: boolean;
    firstName: string;
    lastName: string;
    pageTitle: string;
    pageInstructions: string;
    firstNameChange: EventEmitter<string>;
    lastNameChange: EventEmitter<string>;
    accountNameValid: EventEmitter<boolean>;
    advance: EventEmitter<void>;
    lastNameInputElement: ElementRef;
    firstNameFormControl: FormControl;
    lastNameFormControl: FormControl;
    lastNameMaxLength: number;
    firstNameMaxLength: number;
    translate: BluiAuthTranslations;
    constructor(bluiFormsService: BluiFormsService, _bluiAuthConfig: BluiAuthConfig);
    ngOnInit(): void;
    emitIfValid(): void;
}
