import { ChangeDetectorRef, ElementRef, EventEmitter, OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { BluiAuthConfig } from './../../../../services/config/auth-config';
import { BluiRegisterUIService } from '../../../../services/api';
import { BluiAuthSecurityService } from '../../../../services/state/auth-security.service';
import { BluiAuthTranslations } from '../../../../translations/auth-translations';
export declare class BluiEulaComponent implements OnInit {
    sanitizer: DomSanitizer;
    private readonly _changeDetectorRef;
    private readonly _bluiAuthConfig;
    private readonly _bluiRegisterService;
    private readonly _bluiSecurityService;
    userAcceptsEula: boolean;
    userAcceptsEulaChange: EventEmitter<boolean>;
    eulaVC: ElementRef;
    eula: string;
    isLoading: boolean;
    userScrolledBottom: boolean;
    translate: BluiAuthTranslations;
    constructor(sanitizer: DomSanitizer, _changeDetectorRef: ChangeDetectorRef, _bluiAuthConfig: BluiAuthConfig, _bluiRegisterService: BluiRegisterUIService, _bluiSecurityService: BluiAuthSecurityService);
    ngOnInit(): void;
    getEULA(): void;
    afterGetEula(eula: string): void;
    checkScrollDistance(e: Event): void;
}
