import { ChangeDetectorRef, OnInit, TemplateRef } from '@angular/core';
import { Router } from '@angular/router';
import { BluiAuthConfig } from '../../../../services/config/auth-config';
import { BluiAuthTranslations } from '../../../../translations/auth-translations';
export declare class BluiExistingAccountComponent implements OnInit {
    private readonly _router;
    private readonly _bluiAuthConfig;
    private readonly _changeDetectorRef;
    email: any;
    registrationSuccessScreen: TemplateRef<any>;
    translate: BluiAuthTranslations;
    constructor(_router: Router, _bluiAuthConfig: BluiAuthConfig, _changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    navigateToLogin(): void;
}
