import { EventEmitter, OnInit } from '@angular/core';
import { FormControl, ValidatorFn } from '@angular/forms';
import { BluiAuthConfig } from './../../../../services/config/auth-config';
import { BluiAuthTranslations } from '../../../../translations/auth-translations';
import { BluiAuthSecurityService } from '../../../../services/state/auth-security.service';
import { EmailFieldComponent } from '../../../../components/email-field/email-field.component';
export declare class BluiProvideEmailComponent implements OnInit {
    private readonly _bluiAuthConfig;
    private readonly _bluiSecurityService;
    email: string;
    isValidEmail: boolean;
    customEmailValidator: ValidatorFn;
    emailChange: EventEmitter<string>;
    isValidEmailChange: EventEmitter<boolean>;
    advance: EventEmitter<void>;
    emailFieldComponent: EmailFieldComponent;
    emailFormControl: FormControl;
    translate: BluiAuthTranslations;
    constructor(_bluiAuthConfig: BluiAuthConfig, _bluiSecurityService: BluiAuthSecurityService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    updateEmail(email: string): void;
}
