import { EventEmitter } from '@angular/core';
import { FormControl } from '@angular/forms';
import { BluiAuthSecurityService } from '../../../../services/state/auth-security.service';
import { BluiCreateAccountErrorDialogService } from '../../../../services/dialog/create-account-error-dialog.service';
import { BluiRegisterUIService } from '../../../../services/api';
import { BluiAuthConfig } from './../../../../services/config/auth-config';
import { BluiAuthTranslations } from '../../../../translations/auth-translations';
export declare class BluiVerifyEmailComponent {
    private readonly _bluiAuthConfig;
    private readonly _bluiRegisterService;
    private readonly _bluiSecurityService;
    private readonly _bluiErrorDialogService;
    verificationCode: string;
    email: string;
    verificationCodeChange: EventEmitter<string>;
    advance: EventEmitter<void>;
    verificationCodeFormControl: FormControl;
    translate: BluiAuthTranslations;
    constructor(_bluiAuthConfig: BluiAuthConfig, _bluiRegisterService: BluiRegisterUIService, _bluiSecurityService: BluiAuthSecurityService, _bluiErrorDialogService: BluiCreateAccountErrorDialogService);
    ngOnInit(): void;
    sendVerificationEmail(): void;
    updateCode(code: string): void;
}
