import { FormControl } from '@angular/forms';
export declare type IBluiRegisterUIService = {
    validateUserRegistrationRequest(code?: string): Promise<boolean>;
    loadEULA(): Promise<string>;
    requestRegistrationCode(email: string): Promise<void>;
    completeRegistration(firstName: string, lastName: string, customAccountDetails: Map<string, FormControl>, password: string, validationCode?: string, email?: string): Promise<void>;
};
export declare class BluiRegisterUIService implements IBluiRegisterUIService {
    warn(): void;
    validateUserRegistrationRequest(code?: string): Promise<boolean>;
    loadEULA(): Promise<string>;
    requestRegistrationCode(email: string): Promise<void>;
    completeRegistration(firstName: string, lastName: string, customAccountDetails: Map<string, FormControl>, password: string, validationCode?: string, email?: string): Promise<void>;
}
