(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/platform-browser'), require('@angular/core'), require('@angular/router'), require('rxjs'), require('@angular/material/dialog'), require('@angular/forms'), require('@angular/material/card'), require('@angular/material/form-field'), require('@angular/material/input'), require('@angular/material/checkbox'), require('@angular/material/button'), require('@brightlayer-ui/angular-components'), require('@angular/material/progress-spinner'), require('@angular/material/icon'), require('@angular/material/divider'), require('@angular/material/list'), require('@angular/common'), require('@angular/platform-browser/animations'), require('@angular/material/select')) :
    typeof define === 'function' && define.amd ? define('@brightlayer-ui/angular-auth-workflow', ['exports', '@angular/platform-browser', '@angular/core', '@angular/router', 'rxjs', '@angular/material/dialog', '@angular/forms', '@angular/material/card', '@angular/material/form-field', '@angular/material/input', '@angular/material/checkbox', '@angular/material/button', '@brightlayer-ui/angular-components', '@angular/material/progress-spinner', '@angular/material/icon', '@angular/material/divider', '@angular/material/list', '@angular/common', '@angular/platform-browser/animations', '@angular/material/select'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global["brightlayer-ui"] = global["brightlayer-ui"] || {}, global["brightlayer-ui"]["angular-auth-workflow"] = {}), global.ng.platformBrowser, global.ng.core, global.ng.router, global.rxjs, global.ng.material.dialog, global.ng.forms, global.ng.material.card, global.ng.material.formField, global.ng.material.input, global.ng.material.checkbox, global.ng.material.button, global.angularComponents, global.ng.material.progressSpinner, global.ng.material.icon, global.ng.material.divider, global.ng.material.list, global.ng.common, global.ng.platformBrowser.animations, global.ng.material.select));
})(this, (function (exports, platformBrowser, i0, i3, rxjs, i1, forms, card, formField, input, checkbox, button, angularComponents, progressSpinner, icon, divider, list, common, animations, select) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var i3__namespace = /*#__PURE__*/_interopNamespace(i3);
    var i1__namespace = /*#__PURE__*/_interopNamespace(i1);

    function hasChildren(el) {
        return el.nativeElement.children && el.nativeElement.children.length > 0;
    }
    function isEmptyView(el) {
        if (!el || !el.nativeElement) {
            return true;
        }
        return !hasChildren(el);
    }

    /* eslint-disable @typescript-eslint/naming-convention */
    var ɵ0$3 = function (field) { return field + " is <strong>required</strong>"; }, ɵ1$3 = function (phone) { return "For technical support, please call <a class=\"blui-auth-link\" href=\"tel:" + phone + "\">" + phone + "</a>."; }, ɵ2$3 = function (email) { return "For questions, feedback, or support please email us at <a class=\"blui-auth-link\" href=\"mailto:" + email + "\">" + email + "</a>."; }, ɵ3$3 = function (phone) { return "For urgent account issues, please call <a class=\"blui-auth-link\" href=\"tel:" + phone + "\">" + phone + "</a>."; }, ɵ4$3 = function (email) { return "A link to reset your password has been sent to <strong>" + email + "</strong>"; }, ɵ5$3 = function (username) { return "Welcome, " + username; }, ɵ6$3 = function (email) {
        var firstSentence = email
            ? "Your account has been successfully created with the email " + email + "."
            : "Your account has been successfully created.";
        return firstSentence + " Your account has already been added to the organization. Press Continue below to finish.";
    }, ɵ7$3 = function (email) {
        var firstSentence = email
            ? "Your account has been successfully created with the email " + email + "."
            : "Your account has been successfully created.";
        return firstSentence + " Please log in with your Eaton account email and password.";
    };
    var bluiAuthEnglishTranslations = {
        GENERAL: {
            BACK_BUTTON: 'Back',
            OKAY_BUTTON: 'Okay',
            DONE_BUTTON: 'Done',
            NEXT_BUTTON: 'Next',
            CANCEL_BUTTON: 'Cancel',
            PASSWORD_FORM_LABEL: 'Password',
            PASSWORD_MISMATCH_ERROR: 'Passwords do not match',
            CONFIRM_PASSWORD_FORM_LABEL: 'Confirm Password',
            EMAIL_FORM_LABEL: 'Email Address',
            EMAIL_INVALID_ERROR: 'Please enter a valid email address',
            IS_REQUIRED_ERROR: ɵ0$3,
            LOGIN_BUTTON: 'Log In',
        },
        LOGIN: {
            CONTACT_SUPPORT: 'Contact an Eaton Support Representative',
            CREATE_ACCOUNT: 'Create Account',
            FORGOT_PASSWORD: 'Forgot your password?',
            NEED_AN_ACCOUNT: 'Need an account?',
            REMEMBER_ME: 'Remember Me',
            ENABLE_DEBUG_MODE: 'DEBUG',
            DEBUG_MODE: 'DEBUG_MODE',
            FORGOT_PASSWORD_LINK: '[Test Forgot Password Email]',
            TEST_INVITE_LINK: '[Test Invite Register]',
            INVALID_CREDENTIALS: 'Incorrect Email or Password',
            ERROR_TITLE: 'Error',
        },
        CHANGE_PASSWORD: {
            TITLE: 'Change Password',
            INSTRUCTIONS: 'Please select a password. Make sure that your password meets the necessary complexity requirements outlined below.',
            CURRENT_PASSWORD_FORM_LABEL: 'Current Password',
            NEW_PASSWORD_FORM_LABEL: 'New Password',
            CONFIRM_PASSWORD_FORM_LABEL: 'Confirm Password',
            SUCCESS_TITLE: 'Password Changed',
            SUCCESS_DESCRIPTION: "Your password was successfully updated! To ensure your account's security, you will need to log in to the application with your updated credentials.",
        },
        CONTACT_SUPPORT: {
            TITLE: 'Contact Us',
            PHONE_NUMBER: undefined,
            EMAIL: undefined,
            EMERGENCY_SUPPORT_DESCRIPTION: ɵ1$3,
            EMERGENCY_SUPPORT_TITLE: 'Emergency Support',
            GENERAL_SUPPORT_DESCRIPTION: ɵ2$3,
            GENERAL_SUPPORT_TITLE: 'General Questions',
        },
        PASSWORD_CRITERIA: {
            CHARACTER_LIMIT: '8-16 Characters',
            ONE_NUMBER: 'One number',
            ONE_UPPERCASE_CHARACTER: 'One uppercase letter',
            ONE_LOWERCASE_CHARACTER: 'One lowercase letter',
            ONE_SPECIAL_CHARACTER: 'One special character',
        },
        FORGOT_PASSWORD: {
            TITLE: 'Forgot Password',
            INSTRUCTIONS: 'Please enter the account email associated with the account.',
            RESPONSE_TIME_TEXT: 'If this email has an account with Eaton, you will receive a response within <strong>one business day.</strong>',
            PHONE_NUMBER: undefined,
            CONTACT_SUPPORT_BY_PHONE: ɵ3$3,
            SUCCESS_TITLE: 'Email Sent',
            SUCCESS_DESCRIPTION: ɵ4$3,
        },
        RESET_PASSWORD: {
            TITLE: 'Reset Password',
            INSTRUCTIONS: 'Please select a password. Make sure that your password meets the necessary complexity requirements outlined below.',
            RESET_LINK_ERROR_TITLE: 'Error',
            RESET_LINK_ERROR_DESCRIPTION: 'There was an error validating your reset code.',
            SUCCESS_TITLE: 'Your password was successfully reset.',
            SUCCESS_DESCRIPTION: "Your password was successfully updated! To ensure your account's security, you will need to log in to the application with your updated credentials.",
        },
        CREATE_ACCOUNT: {
            REGISTRATION_LINK: {
                VALIDATING: 'Validating',
                INVALID_TITLE: 'Error',
                INVALID_DESCRIPTION: 'We were unable to complete your registration. Press continue below to finish.',
            },
            ENTER_EMAIL: {
                TITLE: 'Create an Account',
                INSTRUCTIONS: 'To register for an Eaton account, enter the required information below. You will need to verify your email address to continue.',
            },
            EULA: {
                TITLE: 'License Agreement',
                CONFIRM_READ: 'I have read and agree to the Terms & Conditions',
                LOAD_ERROR_TITLE: 'Error',
                LOAD_ERROR_DESCRIPTION: 'License Agreement Failed To Load',
                RELOAD_BUTTON: 'Reload',
            },
            VERIFY_EMAIL: {
                TITLE: 'Verify Email',
                INSTRUCTIONS: 'A verification code has been sent to the email address you provided. Click the link or enter the code below to continue. This code is valid for 30 minutes.',
                CODE_FORM_LABEL: 'Verification Code',
                RESEND_BUTTON: 'Resend Verification Email',
            },
            CREATE_PASSWORD: {
                INSTRUCTIONS: 'Please select a password. Make sure that your password meets the necessary complexity requirements outlined below.',
                TITLE: 'Create Password',
            },
            ACCOUNT_DETAILS: {
                FIRST_NAME_FORM_LABEL: 'First Name',
                INSTRUCTIONS: 'Enter your details below to complete account creation.',
                LAST_NAME_FORM_LABEL: 'Last Name',
                TITLE: 'Account Details',
            },
            ACCOUNT_CREATED: {
                TITLE: 'Account Created!',
                WELCOME_MESSAGE_TITLE: ɵ5$3,
                WELCOME_MESSAGE_DESCRIPTION: ɵ6$3,
                CONTINUE_BUTTON: 'Continue',
            },
            ACCOUNT_EXISTING: {
                TITLE: 'Account Created!',
                WELCOME_MESSAGE_TITLE: 'Welcome',
                WELCOME_MESSAGE_DESCRIPTION: ɵ7$3,
            },
        },
    };

    /* eslint-disable @typescript-eslint/naming-convention */
    var ɵ0$2 = function (field) { return field + " est <strong>requis</strong>"; }, ɵ1$2 = function (phone) { return "Pour une assistance technique, veuillez appeler <a class=\"blui-auth-link\" href=\"tel:" + phone + "\">" + phone + "</a>."; }, ɵ2$2 = function (email) { return "Pour les questions, commentaires ou assistance par e-mail, veuillez nous envoyer un e-mail \u00E0 <a class=\"blui-auth-link\" href=\"mailto:" + email + "\">" + email + "</a>."; }, ɵ3$2 = function (phone) { return "Pour les probl\u00E8mes de compte urgents, veuillez appeler le <a class=\"blui-auth-link\" href=\"tel:" + phone + "\">" + phone + "</a>."; }, ɵ4$2 = function (email) { return "Un lien pour r\u00E9initialiser votre mot de passe a \u00E9t\u00E9 envoy\u00E9 \u00E0 <strong>" + email + "</strong>"; }, ɵ5$2 = function (username) { return "Bienvenue, " + username; }, ɵ6$2 = function (email) {
        var firstSentence = email
            ? "Votre compte a \u00E9t\u00E9 cr\u00E9\u00E9 avec succ\u00E8s avec l'e-mail " + email + "."
            : "Votre compte \u00E0 \u00E9t\u00E9 cr\u00E9\u00E9 avec succ\u00E8s.";
        return firstSentence + " Votre compte a d\u00E9j\u00E0 \u00E9t\u00E9 ajout\u00E9 \u00E0 l'organisation. Appuyez sur Continuer ci-dessous pour terminer.";
    }, ɵ7$2 = function (email) {
        var firstSentence = email
            ? "Votre compte a \u00E9t\u00E9 cr\u00E9\u00E9 avec succ\u00E8s avec l'e-mail " + email + "."
            : "Votre compte \u00E0 \u00E9t\u00E9 cr\u00E9\u00E9 avec succ\u00E8s.";
        return firstSentence + " Veuillez vous connecter avec l'adresse e-mail et le mot de passe de votre compte Eaton.";
    };
    var bluiAuthFrenchTranslations = {
        GENERAL: {
            BACK_BUTTON: 'Retour',
            OKAY_BUTTON: "D'accord",
            DONE_BUTTON: 'Fini',
            NEXT_BUTTON: 'Prochain',
            CANCEL_BUTTON: 'Annuler',
            PASSWORD_FORM_LABEL: 'Mot de passe',
            PASSWORD_MISMATCH_ERROR: 'Les mots de passe ne correspondent pas',
            CONFIRM_PASSWORD_FORM_LABEL: 'Confirmez',
            EMAIL_FORM_LABEL: 'Adresse e-mail',
            EMAIL_INVALID_ERROR: "S'il vous plaît entrer un email valide",
            IS_REQUIRED_ERROR: ɵ0$2,
            LOGIN_BUTTON: 'Connexion',
        },
        LOGIN: {
            CONTACT_SUPPORT: 'Contacter un représentant du support Eaton',
            CREATE_ACCOUNT: 'Créer un compte',
            FORGOT_PASSWORD: 'Mot de passe oublié?',
            NEED_AN_ACCOUNT: 'Besoin dun compte?',
            REMEMBER_ME: 'Souvenez-vous de moi',
            ENABLE_DEBUG_MODE: 'DÉBOGUER',
            DEBUG_MODE: 'MODE DÉBOGAGE',
            FORGOT_PASSWORD_LINK: '[Test Mot de passe oublié Email]',
            TEST_INVITE_LINK: "[Tester le registre d'invitation]",
            INVALID_CREDENTIALS: 'Email ou mot de passe incorrect',
            ERROR_TITLE: 'Erreur',
        },
        CHANGE_PASSWORD: {
            TITLE: 'Changer le mot de passe',
            INSTRUCTIONS: 'Veuillez sélectionner un mot de passe. Assurez-vous que votre mot de passe répond aux exigences de complexité nécessaires décrites ci-dessous.',
            CURRENT_PASSWORD_FORM_LABEL: 'Mot de passe actuel',
            NEW_PASSWORD_FORM_LABEL: 'Nouveau mot de passe',
            CONFIRM_PASSWORD_FORM_LABEL: 'Confirmez le mot de passe',
            SUCCESS_TITLE: 'Mot de passe changé',
            SUCCESS_DESCRIPTION: "Votre mot de passe a été mis à jour avec succès! Pour garantir la sécurité de votre compte, vous devrez vous connecter à l'application avec vos informations d'identification mises à jour.",
        },
        CONTACT_SUPPORT: {
            TITLE: 'Contactez-nous',
            PHONE_NUMBER: undefined,
            EMAIL: undefined,
            EMERGENCY_SUPPORT_DESCRIPTION: ɵ1$2,
            EMERGENCY_SUPPORT_TITLE: "Assistance d'urgence",
            GENERAL_SUPPORT_DESCRIPTION: ɵ2$2,
            GENERAL_SUPPORT_TITLE: 'Questions générales',
        },
        PASSWORD_CRITERIA: {
            CHARACTER_LIMIT: '8-16 Caractères',
            ONE_NUMBER: 'Un nombre',
            ONE_UPPERCASE_CHARACTER: 'Une lettre majuscule',
            ONE_LOWERCASE_CHARACTER: 'Une lettre miniscule',
            ONE_SPECIAL_CHARACTER: 'Un caractère spécial',
        },
        FORGOT_PASSWORD: {
            TITLE: 'Mot de passe oublié?',
            INSTRUCTIONS: "Entrez l'adresse e-mail du compte associ\u00E9e au compte.",
            RESPONSE_TIME_TEXT: 'Si ce courrier électronique a un compte chez Eaton, vous recevrez une réponse sous <strong>un jour ouvrable</strong>',
            PHONE_NUMBER: undefined,
            CONTACT_SUPPORT_BY_PHONE: ɵ3$2,
            SUCCESS_TITLE: 'Email envoyé',
            SUCCESS_DESCRIPTION: ɵ4$2,
        },
        RESET_PASSWORD: {
            TITLE: 'Réinitialiser le mot de passe',
            INSTRUCTIONS: 'Veuillez sélectionner un mot de passe. Assurez-vous que votre mot de passe répond aux exigences de complexité nécessaires décrites ci-dessous.',
            RESET_LINK_ERROR_TITLE: 'Erreur',
            RESET_LINK_ERROR_DESCRIPTION: "Une erreur s'est produite lors de la validation de votre code de r\u00E9initialisation.",
            SUCCESS_TITLE: "Votre mot de passe a \u00E9t\u00E9 r\u00E9initialis\u00E9 avec succ\u00E8s",
            SUCCESS_DESCRIPTION: "Votre mot de passe a été mis à jour avec succès! Pour assurer la sécurité de votre compte, vous devrez vous connecter à l'application avec vos informations d'identification mises à jour.",
        },
        CREATE_ACCOUNT: {
            REGISTRATION_LINK: {
                VALIDATING: 'Valider',
                INVALID_TITLE: 'Erreur',
                INVALID_DESCRIPTION: "Nous n'avons pas pu terminer votre inscription. Appuyez sur Continuer ci-dessous pour finir.",
            },
            ENTER_EMAIL: {
                TITLE: 'Créer un compte',
                INSTRUCTIONS: 'Pour créer un compte Eaton, entrez les informations requises ci-dessous. Vous devrez vérifier votre adresse e-mail pour continuer.',
            },
            EULA: {
                TITLE: 'Accord de licence',
                CONFIRM_READ: "J'ai lu et j'accepte les conditions g\u00E9n\u00E9rales",
                LOAD_ERROR_TITLE: 'Erreur',
                LOAD_ERROR_DESCRIPTION: 'Échec du chargement du contrat de licence',
                RELOAD_BUTTON: 'Recharger',
            },
            VERIFY_EMAIL: {
                TITLE: 'Vérifier les courriels',
                INSTRUCTIONS: "Un code de v\u00E9rification a \u00E9t\u00E9 envoy\u00E9 \u00E0 l'adresse e-mail que vous avez fournie. Cliquez sur le lien ou entrez le code ci-dessous pour continuer. Ce code est valable 30 minutes.",
                CODE_FORM_LABEL: 'Code de vérification',
                RESEND_BUTTON: "Renvoyer l'e-mail de v\u00E9rification",
            },
            CREATE_PASSWORD: {
                INSTRUCTIONS: 'Veuillez sélectionner un mot de passe. Assurez-vous que votre mot de passe répond aux exigences de complexité nécessaires décrites ci-dessous.',
                TITLE: 'Créer un Mot de Passe',
            },
            ACCOUNT_DETAILS: {
                FIRST_NAME_FORM_LABEL: 'Prénom',
                INSTRUCTIONS: 'Entrez vos coordonnées ci-dessous pour terminer la création du compte.',
                LAST_NAME_FORM_LABEL: 'Nom de famille',
                TITLE: 'Détails du compte',
            },
            ACCOUNT_CREATED: {
                TITLE: 'Compte créé',
                WELCOME_MESSAGE_TITLE: ɵ5$2,
                WELCOME_MESSAGE_DESCRIPTION: ɵ6$2,
                CONTINUE_BUTTON: 'Continue',
            },
            ACCOUNT_EXISTING: {
                TITLE: 'Compte créé',
                WELCOME_MESSAGE_TITLE: 'Bienvenue',
                WELCOME_MESSAGE_DESCRIPTION: ɵ7$2,
            },
        },
    };

    /* eslint-disable @typescript-eslint/naming-convention */
    var ɵ0$1 = function (field) { return field + " se <strong>requiere</strong>"; }, ɵ1$1 = function (phone) { return "Para obtener asistencia t\u00E9cnica, llame a <a class=\"blui-auth-link\" href=\"tel:" + phone + "\">" + phone + "</a>."; }, ɵ2$1 = function (email) { return "Si tiene preguntas, comentarios o necesita asistencia, env\u00EDenos un correo electr\u00F3nico a <a class=\"blui-auth-link\" href=\"mailto:" + email + "\">" + email + "</a>."; }, ɵ3$1 = function (phone) { return "Para problemas urgentes con la cuenta, llame al <a class=\"blui-auth-link\" href=\"tel:" + phone + "\">" + phone + "</a>."; }, ɵ4$1 = function (email) { return "Se ha enviado un enlace para restablecer su contrase\u00F1a a <strong>" + email + "</strong>"; }, ɵ5$1 = function (username) { return "Bienvenido, " + username; }, ɵ6$1 = function (email) {
        var firstSentence = email
            ? "Su cuenta ha sido creada con \u00E9xito con el correo electr\u00F3nico " + email + "."
            : "Tu cuenta ha sido creada satisfactoriamente.";
        return firstSentence + " Su cuenta ya se ha agregado a la organizaci\u00F3n. Presione Continuar a continuaci\u00F3n para finalizar.";
    }, ɵ7$1 = function (email) {
        var firstSentence = email
            ? "Su cuenta ha sido creada con \u00E9xito con el correo electr\u00F3nico " + email + "."
            : "Tu cuenta ha sido creada satisfactoriamente.";
        return firstSentence + " Inicie sesi\u00F3n con el correo electr\u00F3nico y la contrase\u00F1a de su cuenta de Eaton.";
    };
    var bluiAuthSpanishTranslations = {
        GENERAL: {
            BACK_BUTTON: 'Atrás',
            OKAY_BUTTON: 'Okey',
            DONE_BUTTON: 'Hecho',
            NEXT_BUTTON: 'Siguiente',
            CANCEL_BUTTON: 'Cancelar',
            PASSWORD_FORM_LABEL: 'Contraseña',
            PASSWORD_MISMATCH_ERROR: 'Las contraseñas no coinciden',
            CONFIRM_PASSWORD_FORM_LABEL: 'Confirmar contraseña',
            EMAIL_FORM_LABEL: 'Correo electrónico',
            EMAIL_INVALID_ERROR: 'Ingrese un correo electrónico válido',
            IS_REQUIRED_ERROR: ɵ0$1,
            LOGIN_BUTTON: 'Iniciar sesión',
        },
        LOGIN: {
            CONTACT_SUPPORT: 'Contactar un representante de soporte de Eaton',
            CREATE_ACCOUNT: 'Crear una cuenta',
            FORGOT_PASSWORD: '¿Ha olvidado su contraseña?',
            NEED_AN_ACCOUNT: '¿Necesitas una cuenta?',
            REMEMBER_ME: 'Recordar contraseña',
            ENABLE_DEBUG_MODE: 'DEPURAR',
            DEBUG_MODE: 'MODO DE DEPURACIÓN',
            FORGOT_PASSWORD_LINK: '[Prueba Olvidé mi contraseña Correo electrónico]',
            TEST_INVITE_LINK: '[Prueba Invitar Registrarse]',
            INVALID_CREDENTIALS: 'Correo electrónico o contraseña incorrectos',
            ERROR_TITLE: '¡Error!',
        },
        CHANGE_PASSWORD: {
            TITLE: 'Contraseña cambiada',
            INSTRUCTIONS: 'Por favor, seleccione una contraseña. Asegúrese de que su contraseña cumple con los requisitos de complejidad necesarios que se describen a continuación.',
            CURRENT_PASSWORD_FORM_LABEL: 'Contraseña actual',
            NEW_PASSWORD_FORM_LABEL: 'Confirmar nueva contraseña',
            CONFIRM_PASSWORD_FORM_LABEL: 'Confirmar Contraseña',
            SUCCESS_TITLE: 'Contraseña cambiada',
            SUCCESS_DESCRIPTION: '¡Su contraseña se actualizó correctamente! Para garantizar la seguridad de su cuenta, deberá iniciar sesión en la aplicación con sus credenciales actualizadas.',
        },
        CONTACT_SUPPORT: {
            TITLE: 'Contacta con nosotras',
            PHONE_NUMBER: undefined,
            EMAIL: undefined,
            EMERGENCY_SUPPORT_DESCRIPTION: ɵ1$1,
            EMERGENCY_SUPPORT_TITLE: 'Soporte de emergencia',
            GENERAL_SUPPORT_DESCRIPTION: ɵ2$1,
            GENERAL_SUPPORT_TITLE: 'Preguntas generales',
        },
        PASSWORD_CRITERIA: {
            CHARACTER_LIMIT: '8-16 caracteres',
            ONE_NUMBER: 'Un número',
            ONE_UPPERCASE_CHARACTER: 'Una letra mayúscula',
            ONE_LOWERCASE_CHARACTER: 'Una letra minúscula',
            ONE_SPECIAL_CHARACTER: 'Un carácter especial',
        },
        FORGOT_PASSWORD: {
            TITLE: 'Olvidé mi contraseña',
            INSTRUCTIONS: 'Por favor ingrese el correo electrónico de la cuenta asociado con la cuenta.',
            RESPONSE_TIME_TEXT: 'Si este correo electrónico tiene una cuenta con Eaton, recibirá una respuesta dentro de <strong> un día hábil </strong>',
            PHONE_NUMBER: undefined,
            CONTACT_SUPPORT_BY_PHONE: ɵ3$1,
            SUCCESS_TITLE: 'Email enviado',
            SUCCESS_DESCRIPTION: ɵ4$1,
        },
        RESET_PASSWORD: {
            TITLE: 'Restablecer la contraseña',
            INSTRUCTIONS: 'Por favor, seleccione una contraseña. Asegúrese de que su contraseña cumple con los requisitos de complejidad necesarios que se describen a continuación.',
            RESET_LINK_ERROR_TITLE: '¡Error!',
            RESET_LINK_ERROR_DESCRIPTION: 'Hubo un error al validar su código de reinicio.',
            SUCCESS_TITLE: 'Tu contraseña se restableció correctamente.',
            SUCCESS_DESCRIPTION: '¡Tu contraseña se actualizó correctamente! Para garantizar la seguridad de su cuenta, deberá iniciar sesión en la aplicación con sus credenciales actualizadas.',
        },
        CREATE_ACCOUNT: {
            REGISTRATION_LINK: {
                VALIDATING: 'Validando',
                INVALID_TITLE: '¡Error!',
                INVALID_DESCRIPTION: 'No pudimos completar su registro. Pulse continuar para terminar. ',
            },
            ENTER_EMAIL: {
                TITLE: 'Crea una cuenta',
                INSTRUCTIONS: 'Para registrarse para una cuenta Eaton, ingrese la información requerida a continuación. Deberá verificar su dirección de correo electrónico para continuar.',
            },
            EULA: {
                TITLE: 'Acuerdo de licencia',
                CONFIRM_READ: 'He leído y acepto los Términos y condiciones.',
                LOAD_ERROR_TITLE: '¡Error!',
                LOAD_ERROR_DESCRIPTION: 'No se pudo cargar el acuerdo de licencia',
                RELOAD_BUTTON: 'Recargar',
            },
            VERIFY_EMAIL: {
                TITLE: 'Verificar correo electrónico',
                INSTRUCTIONS: 'Se ha enviado un código de verificación a la dirección de correo electrónico que proporcionó. Haga clic en el enlace o ingrese el código abajo para continuar. Este código es válido por 30 minutos.',
                CODE_FORM_LABEL: 'Código de verificación',
                RESEND_BUTTON: 'Reenviar correo electrónico de verificación',
            },
            CREATE_PASSWORD: {
                INSTRUCTIONS: 'Por favor, seleccione una contraseña. Asegúrese de que su contraseña cumple con los requisitos de complejidad necesarios que se describen a continuación. ',
                TITLE: 'Crear contraseña',
            },
            ACCOUNT_DETAILS: {
                FIRST_NAME_FORM_LABEL: 'Nombre',
                INSTRUCTIONS: 'Ingrese sus datos en seguida para completar la creación de la cuenta',
                LAST_NAME_FORM_LABEL: 'Apellido',
                TITLE: 'detalles de la cuenta',
            },
            ACCOUNT_CREATED: {
                TITLE: 'Cuenta creada',
                WELCOME_MESSAGE_TITLE: ɵ5$1,
                WELCOME_MESSAGE_DESCRIPTION: ɵ6$1,
                CONTINUE_BUTTON: 'Continuar',
            },
            ACCOUNT_EXISTING: {
                TITLE: 'Cuenta creada',
                WELCOME_MESSAGE_TITLE: 'Bienvenido',
                WELCOME_MESSAGE_DESCRIPTION: ɵ7$1,
            },
        },
    };

    /* eslint-disable @typescript-eslint/naming-convention */
    var ɵ0 = function (field) { return field + " \u662F\u5FC5\u987B\u7684"; }, ɵ1 = function (phone) { return "\u5982\u9700\u6280\u672F\u534F\u52A9\uFF0C\u8BF7\u62E8\u6253 <a class=\"blui-auth-link\" href=\"tel:" + phone + "\">" + phone + "</a>."; }, ɵ2 = function (email) { return "\u5982\u679C\u60A8\u6709\u7591\u95EE\u3001\u5EFA\u8BAE\u6216\u9700\u8981\u534F\u52A9\uFF0C\u6B22\u8FCE\u7528\u90AE\u4EF6\u8054\u7CFB\u6211\u4EEC\uFF1A <a class=\"blui-auth-link\" href=\"mailto:" + email + "\">" + email + "</a>."; }, ɵ3 = function (phone) { return "\u5982\u9047\u7D27\u6025\u8D26\u6237\u95EE\u9898\uFF0C\u8BF7\u62E8\u6253\u8054\u7CFB\u7535\u8BDD<a class=\"blui-auth-link\" href=\"tel:" + phone + "\">" + phone + "</a>."; }, ɵ4 = function (email) { return "\u91CD\u8BBE\u5BC6\u7801\u7684\u94FE\u63A5\u5DF2\u53D1\u9001\u81F3 <strong>" + email + "</strong>"; }, ɵ5 = function (username) { return "\u6B22\u8FCE, " + username; }, ɵ6 = function (email) {
        var firstSentence = email ? "\u60A8\u7684\u5E10\u6237\u5DF2\u901A\u8FC7\u7535\u5B50\u90AE\u4EF6\u6210\u529F\u521B\u5EFA " + email + "\u3002" : "\u60A8\u7684\u5E10\u6237\u5DF2\u7ECF\u521B\u5EFA\u6210\u529F\u3002";
        return firstSentence + " \u60A8\u7684\u5E10\u6237\u5DF2\u88AB\u6DFB\u52A0\u5230\u7EC4\u7EC7\u4E2D\u3002\u6309\u4E0B\u9762\u7684\u7EE7\u7EED\u5B8C\u6210\u3002";
    }, ɵ7 = function (email) {
        var firstSentence = email ? "\u60A8\u7684\u5E10\u6237\u5DF2\u901A\u8FC7\u7535\u5B50\u90AE\u4EF6\u6210\u529F\u521B\u5EFA " + email + "\u3002" : "\u60A8\u7684\u5E10\u6237\u5DF2\u7ECF\u521B\u5EFA\u6210\u529F\u3002";
        return firstSentence + " \u8BF7\u4F7F\u7528\u60A8\u7684Eaton\u5E10\u6237\u7535\u5B50\u90AE\u4EF6\u548C\u5BC6\u7801\u767B\u5F55\u3002";
    };
    var bluiAuthChineseTranslations = {
        GENERAL: {
            BACK_BUTTON: '上一步',
            OKAY_BUTTON: '好的',
            DONE_BUTTON: '完成',
            NEXT_BUTTON: '下一步',
            CANCEL_BUTTON: '取消',
            PASSWORD_FORM_LABEL: '密码',
            PASSWORD_MISMATCH_ERROR: '密码不匹配',
            CONFIRM_PASSWORD_FORM_LABEL: '确认密码',
            EMAIL_FORM_LABEL: '邮箱地址',
            EMAIL_INVALID_ERROR: '请输入有效的电子邮件地址',
            IS_REQUIRED_ERROR: ɵ0,
            LOGIN_BUTTON: '登录',
        },
        LOGIN: {
            CONTACT_SUPPORT: '联系伊顿客服人员',
            CREATE_ACCOUNT: '创建账号',
            FORGOT_PASSWORD: '忘记密码？',
            NEED_AN_ACCOUNT: '需要建立新账号？',
            REMEMBER_ME: '记住我的登录信息',
            ENABLE_DEBUG_MODE: '调试',
            DEBUG_MODE: '调试模式',
            FORGOT_PASSWORD_LINK: '[测试忘记密码的电子邮件]',
            TEST_INVITE_LINK: '[测试邀请注册]',
            INVALID_CREDENTIALS: '邮箱地址或密码错误',
            ERROR_TITLE: '错误！',
        },
        CHANGE_PASSWORD: {
            TITLE: '修改密码',
            INSTRUCTIONS: '请输入您的新密码。请确保您的新密码符合以下列出的密码复杂度要求。',
            CURRENT_PASSWORD_FORM_LABEL: '当前密码',
            NEW_PASSWORD_FORM_LABEL: '新密码',
            CONFIRM_PASSWORD_FORM_LABEL: '确认新密码',
            SUCCESS_TITLE: '密码已修改',
            SUCCESS_DESCRIPTION: '已更新您的密码。安全起见，您需要用新密码重新登录。',
        },
        CONTACT_SUPPORT: {
            TITLE: '联系我们',
            PHONE_NUMBER: undefined,
            EMAIL: undefined,
            EMERGENCY_SUPPORT_DESCRIPTION: ɵ1,
            EMERGENCY_SUPPORT_TITLE: '紧急协助',
            GENERAL_SUPPORT_DESCRIPTION: ɵ2,
            GENERAL_SUPPORT_TITLE: '一般问题',
        },
        PASSWORD_CRITERIA: {
            CHARACTER_LIMIT: '8至16个字符',
            ONE_NUMBER: '1个数字',
            ONE_UPPERCASE_CHARACTER: '1个大写字母',
            ONE_LOWERCASE_CHARACTER: '1个小写字母',
            ONE_SPECIAL_CHARACTER: '1个特殊字符',
        },
        FORGOT_PASSWORD: {
            TITLE: '忘记密码',
            INSTRUCTIONS: '请输入账户邮箱地址。',
            RESPONSE_TIME_TEXT: '如果伊顿系统中存在此邮箱地址注册的账号的话，您会在<strong>一个工作日</strong>内收到我们的回复。',
            PHONE_NUMBER: undefined,
            CONTACT_SUPPORT_BY_PHONE: ɵ3,
            SUCCESS_TITLE: '邮件已发送',
            SUCCESS_DESCRIPTION: ɵ4,
        },
        RESET_PASSWORD: {
            TITLE: '重置密码',
            INSTRUCTIONS: '请输入您的新密码。请确保您的新密码符合以下列出的密码复杂度要求。',
            RESET_LINK_ERROR_TITLE: '错误！',
            RESET_LINK_ERROR_DESCRIPTION: '验证您的重置码时出错。',
            SUCCESS_TITLE: '您的密码已成功重置。',
            SUCCESS_DESCRIPTION: '您的密码已成功更新！为了确保您帐户的安全，您将需要使用更新后的凭据登录到该应用程序。',
        },
        CREATE_ACCOUNT: {
            REGISTRATION_LINK: {
                VALIDATING: '证实',
                INVALID_TITLE: '错误！',
                INVALID_DESCRIPTION: '注册帐户时出错。',
            },
            ENTER_EMAIL: {
                TITLE: '创建账号',
                INSTRUCTIONS: '请输入下列信息以注册伊顿账号。您需要先验证您的邮箱地址。',
            },
            EULA: {
                TITLE: '许可协议',
                CONFIRM_READ: '我已阅读并同意条款及细则',
                LOAD_ERROR_TITLE: '错误！',
                LOAD_ERROR_DESCRIPTION: '许可协议无法加载',
                RELOAD_BUTTON: '重装',
            },
            VERIFY_EMAIL: {
                TITLE: '验证邮箱',
                INSTRUCTIONS: '已向您的邮箱中发送了一封验证邮件。请点击邮件中的链接，或者在此输入邮件中的验证码。验证邮件在30分钟内有效。',
                CODE_FORM_LABEL: '验证码',
                RESEND_BUTTON: '重新发送验证邮件',
            },
            CREATE_PASSWORD: {
                INSTRUCTIONS: '请输入您的新密码。请确保您的新密码符合以下列出的密码复杂度要求。',
                TITLE: '创建密码',
            },
            ACCOUNT_DETAILS: {
                FIRST_NAME_FORM_LABEL: '名',
                INSTRUCTIONS: '请输入下列个人信息来完成账号注册。',
                LAST_NAME_FORM_LABEL: '姓',
                TITLE: '帐户详细资料',
            },
            ACCOUNT_CREATED: {
                TITLE: '帐户已创建',
                WELCOME_MESSAGE_TITLE: ɵ5,
                WELCOME_MESSAGE_DESCRIPTION: ɵ6,
                CONTINUE_BUTTON: '继续',
            },
            ACCOUNT_EXISTING: {
                TITLE: '帐户已创建',
                WELCOME_MESSAGE_TITLE: '欢迎',
                WELCOME_MESSAGE_DESCRIPTION: ɵ7,
            },
        },
    };

    var BLUI_LOGIN_VALIDATOR_ERROR_NAME = 'BLUI_LOGIN_VALIDATOR_ERROR_NAME';
    var BluiAuthConfig = /** @class */ (function () {
        function BluiAuthConfig() {
            this.authGuardRedirectRoute = undefined;
            this.languageCode = 'EN';
            this.allowDebugMode = false;
            this.showRememberMe = true;
            this.contactEmail = 'placeholder-support@eaton.com';
            this.contactPhone = '1-800-123-4567';
            this.eulaScrollLock = true;
            /* Conditional Pages */
            this.showCreateAccount = true;
            this.showContactSupport = true;
            this.showForgotPassword = true;
            this.showResetPassword = true;
            this.showCreateAccountViaInvite = true;
            /* Password requirements */
            this.defaultPasswordRequirements = {
                characterLimit: true,
                uppercaseLetter: true,
                lowercaseLetter: true,
                requireNumber: true,
                specialCharacter: true,
            };
            this.customPasswordRequirements = [];
            /** Custom first name requirements used in the account registration pages. */
            this.customFirstNameRequirements = undefined;
            /** Custom last name requirements used in the account registration pages. */
            this.customLastNameRequirements = undefined;
        }
        BluiAuthConfig.prototype.getTranslations = function () {
            if (this.customTranslations) {
                return this.customTranslations;
            }
            switch (this.languageCode) {
                case 'EN': {
                    return bluiAuthEnglishTranslations;
                }
                case 'FR': {
                    return bluiAuthFrenchTranslations;
                }
                case 'ES': {
                    return bluiAuthSpanishTranslations;
                }
                case 'ZH': {
                    return bluiAuthChineseTranslations;
                }
                default: {
                    return bluiAuthEnglishTranslations;
                }
            }
        };
        BluiAuthConfig.prototype.getPasswordRequirements = function () {
            var req = [];
            if (this.defaultPasswordRequirements.characterLimit) {
                req.push({
                    description: this.getTranslations().PASSWORD_CRITERIA.CHARACTER_LIMIT,
                    regex: /^.{8,16}$/,
                });
            }
            if (this.defaultPasswordRequirements.requireNumber) {
                req.push({
                    description: this.getTranslations().PASSWORD_CRITERIA.ONE_NUMBER,
                    regex: /[0-9]/,
                });
            }
            if (this.defaultPasswordRequirements.uppercaseLetter) {
                req.push({
                    description: this.getTranslations().PASSWORD_CRITERIA.ONE_UPPERCASE_CHARACTER,
                    regex: /[A-Z]/,
                });
            }
            if (this.defaultPasswordRequirements.lowercaseLetter) {
                req.push({
                    description: this.getTranslations().PASSWORD_CRITERIA.ONE_LOWERCASE_CHARACTER,
                    regex: /[a-z]/,
                });
            }
            if (this.defaultPasswordRequirements.specialCharacter) {
                req.push({
                    description: this.getTranslations().PASSWORD_CRITERIA.ONE_SPECIAL_CHARACTER,
                    regex: /[!"#$%&'()*+,-./:;<=>?@[\]^`{|}~]+/,
                });
            }
            return req.concat(this.customPasswordRequirements);
        };
        return BluiAuthConfig;
    }());
    /** @nocollapse */ BluiAuthConfig.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiAuthConfig_Factory() { return new BluiAuthConfig(); }, token: BluiAuthConfig, providedIn: "root" });
    BluiAuthConfig.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];

    var AUTH_ROUTES = {
        AUTH_WORKFLOW: 'auth',
        LOGIN: 'login',
        RESET_PASSWORD: 'reset-password',
        FORGOT_PASSWORD: 'forgot-password',
        CREATE_ACCOUNT: 'register/create-account',
        CREATE_ACCOUNT_INVITE: 'register/invite',
        CONTACT_SUPPORT: 'support',
        ON_AUTHENTICATED: '',
    };

    /** Error when invalid control is touched, or submitted. */
    var AuthErrorStateMatcher = /** @class */ (function () {
        function AuthErrorStateMatcher() {
        }
        AuthErrorStateMatcher.prototype.setManualError = function (err) {
            this.manualError = err;
        };
        AuthErrorStateMatcher.prototype.isErrorState = function (control, form) {
            var isSubmitted = form && form.submitted;
            return Boolean(this.manualError) || !!(control && control.invalid && (control.touched || isSubmitted));
        };
        return AuthErrorStateMatcher;
    }());
    var ManualErrorStateMatch = /** @class */ (function () {
        function ManualErrorStateMatch() {
        }
        ManualErrorStateMatch.prototype.isErrorState = function () {
            return true;
        };
        return ManualErrorStateMatch;
    }());
    var CrossFieldErrorMatcher = /** @class */ (function () {
        function CrossFieldErrorMatcher() {
        }
        CrossFieldErrorMatcher.prototype.setManualError = function (err) {
            this.manualError = err;
        };
        CrossFieldErrorMatcher.prototype.isErrorState = function (control) {
            return Boolean(this.manualError) || ((control.touched || control.dirty) && control.invalid);
        };
        return CrossFieldErrorMatcher;
    }());
    // Returns true if a route (minus params) equals a target route
    var matchesRoute = function (route, authRouteKey) {
        var authRoute = ("/" + AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES[authRouteKey]).replace('//', '/');
        var urlNoParams = route.split('?')[0];
        return urlNoParams === authRoute;
    };

    var BluiAuthSecurityService = /** @class */ (function () {
        // Whenever the application loads for the first time, we may want to direct the user to their original destination, before they were redirected to the login screen.
        function BluiAuthSecurityService(_router, _bluiAuthConfig) {
            this._router = _router;
            this._bluiAuthConfig = _bluiAuthConfig;
            this.securityStateObs = new rxjs.Subject();
            this.isFirstRouteCaptured = false;
            this.securityState = {
                userId: undefined,
                email: undefined,
                rememberMeDetails: {
                    email: undefined,
                    rememberMe: undefined,
                },
                isAuthenticatedUser: false,
                isLoading: true,
                loadingMessage: undefined,
                registrationEmail: undefined,
                registrationPassword: undefined,
            };
        }
        /* Call this method to parse the on-load URL to identify which page to redirect to when the user is authenticated.
           If `defaultHomeRoute` is provided, then this route will be used when unable to identify the default redirect route via URL.
         */
        BluiAuthSecurityService.prototype.inferOnAuthenticatedRoute = function (defaultHomeRoute) {
            var _this = this;
            this._router.events.subscribe(function (event) {
                if (event instanceof i3.NavigationStart && !_this.isFirstRouteCaptured) {
                    _this.isFirstRouteCaptured = true;
                    var url = event.url;
                    var isAuthModuleRoute = matchesRoute(url, 'LOGIN') ||
                        matchesRoute(url, 'CONTACT_SUPPORT') ||
                        matchesRoute(url, 'CREATE_ACCOUNT') ||
                        matchesRoute(url, 'CREATE_ACCOUNT_INVITE') ||
                        matchesRoute(url, 'FORGOT_PASSWORD') ||
                        matchesRoute(url, 'RESET_PASSWORD') ||
                        matchesRoute(url, 'AUTH_WORKFLOW');
                    var isEmptyRoute = !url || url === '' || url === '/';
                    // If there is no information
                    if ((isEmptyRoute || isAuthModuleRoute) && defaultHomeRoute) {
                        AUTH_ROUTES.ON_AUTHENTICATED = defaultHomeRoute;
                        return;
                    }
                    // If the initial route loaded is not part of the auth workflow, make it so authenticated users will redirect to it post-login.
                    if (!isAuthModuleRoute) {
                        AUTH_ROUTES.ON_AUTHENTICATED = event.url;
                    }
                }
            });
        };
        BluiAuthSecurityService.prototype.updateSecurityState = function (newState) {
            this.setSecurityState(Object.assign(this.getSecurityState(), newState));
        };
        BluiAuthSecurityService.prototype.setSecurityState = function (newSecurityState) {
            this.securityState = newSecurityState;
            this.securityStateObs.next(this.securityState);
        };
        BluiAuthSecurityService.prototype.getSecurityState = function () {
            return this.securityState;
        };
        BluiAuthSecurityService.prototype.securityStateChanges = function () {
            return this.securityStateObs;
        };
        BluiAuthSecurityService.prototype.setLoading = function (isLoading) {
            !isLoading ? this.clearLoadingMessage() : '';
            this.updateSecurityState({ isLoading: isLoading });
        };
        BluiAuthSecurityService.prototype.setLoadingMessage = function (loadingMessage) {
            this.updateSecurityState({ loadingMessage: loadingMessage });
        };
        BluiAuthSecurityService.prototype.clearLoadingMessage = function () {
            this.updateSecurityState({ loadingMessage: undefined });
        };
        // If the user has been authenticated, this function should be called.
        BluiAuthSecurityService.prototype.onUserAuthenticated = function (email, password, rememberMe) {
            this.setSecurityState({
                email: email,
                userId: email,
                isAuthenticatedUser: true,
                isLoading: false,
                rememberMeDetails: {
                    email: rememberMe ? email : undefined,
                    rememberMe: rememberMe,
                },
                loadingMessage: this.securityState.loadingMessage,
                registrationEmail: undefined,
                registrationPassword: undefined,
            });
        };
        // If the user has been de-authenticated (either because they logged out or app started with no credentials),
        BluiAuthSecurityService.prototype.onUserNotAuthenticated = function (rememberMeDetails) {
            var currState = this.getSecurityState();
            var rememberMe = rememberMeDetails ? rememberMeDetails.rememberMe : currState.rememberMeDetails.rememberMe;
            var email = rememberMeDetails ? rememberMeDetails.user : currState.rememberMeDetails.email;
            this.setSecurityState(Object.assign(currState, {
                isAuthenticatedUser: false,
                isLoading: false,
                isShowingChangePassword: false,
                rememberMeDetails: {
                    rememberMe: rememberMe,
                    email: email,
                },
            }));
        };
        return BluiAuthSecurityService;
    }());
    /** @nocollapse */ BluiAuthSecurityService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiAuthSecurityService_Factory() { return new BluiAuthSecurityService(i0__namespace.ɵɵinject(i3__namespace.Router), i0__namespace.ɵɵinject(BluiAuthConfig)); }, token: BluiAuthSecurityService, providedIn: "root" });
    BluiAuthSecurityService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    BluiAuthSecurityService.ctorParameters = function () { return [
        { type: i3.Router },
        { type: BluiAuthConfig }
    ]; };

    /* eslint-disable @typescript-eslint/no-unused-vars */
    var BluiAuthUIService = /** @class */ (function () {
        function BluiAuthUIService() {
        }
        BluiAuthUIService.prototype.warn = function () {
            /* eslint-disable no-console */
            console.warn('You need to provide your own BluiAuthUIActionsService');
        };
        BluiAuthUIService.prototype.login = function (email, password, rememberMe) {
            this.warn();
            return undefined;
        };
        BluiAuthUIService.prototype.forgotPassword = function (email) {
            this.warn();
            return undefined;
        };
        BluiAuthUIService.prototype.changePassword = function (oldPassword, newPassword) {
            this.warn();
            return undefined;
        };
        BluiAuthUIService.prototype.verifyResetCode = function () {
            this.warn();
            return undefined;
        };
        BluiAuthUIService.prototype.setPassword = function (password) {
            this.warn();
            return undefined;
        };
        BluiAuthUIService.prototype.initiateSecurity = function () {
            this.warn();
            return undefined;
        };
        return BluiAuthUIService;
    }());
    /** @nocollapse */ BluiAuthUIService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiAuthUIService_Factory() { return new BluiAuthUIService(); }, token: BluiAuthUIService, providedIn: "root" });
    BluiAuthUIService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];

    /* eslint-disable @typescript-eslint/no-unused-vars */
    var BluiRegisterUIService = /** @class */ (function () {
        function BluiRegisterUIService() {
        }
        BluiRegisterUIService.prototype.warn = function () {
            /* eslint-disable no-console */
            console.warn('You need to provide your own BluiRegisterUIService');
        };
        BluiRegisterUIService.prototype.validateUserRegistrationRequest = function (code) {
            this.warn();
            return Promise.resolve(false);
        };
        BluiRegisterUIService.prototype.loadEULA = function () {
            this.warn();
            return undefined;
        };
        BluiRegisterUIService.prototype.requestRegistrationCode = function (email) {
            this.warn();
            return undefined;
        };
        BluiRegisterUIService.prototype.completeRegistration = function (firstName, lastName, customAccountDetails, password, validationCode, email) {
            this.warn();
            return undefined;
        };
        return BluiRegisterUIService;
    }());
    /** @nocollapse */ BluiRegisterUIService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiRegisterUIService_Factory() { return new BluiRegisterUIService(); }, token: BluiRegisterUIService, providedIn: "root" });
    BluiRegisterUIService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];

    var BluiAuthErrorDialogComponent = /** @class */ (function () {
        function BluiAuthErrorDialogComponent(data, dialogRef) {
            this.data = data;
            this.dialogRef = dialogRef;
            // These are the defaults when no ErrorDialogData is provided by users or our ErrorDialogServices.
            this.title = 'Error!';
            this.message = 'Unable to process your request.';
        }
        // Use ErrorDialogData values if they are provided by an ErrorDialogService or directly from the user via a catch block.
        BluiAuthErrorDialogComponent.prototype.ngOnInit = function () {
            var _a, _b;
            this.title = ((_a = this.data) === null || _a === void 0 ? void 0 : _a.title) || this.title;
            this.message = ((_b = this.data) === null || _b === void 0 ? void 0 : _b.message) || this.message;
        };
        return BluiAuthErrorDialogComponent;
    }());
    BluiAuthErrorDialogComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-auth-error-dialog',
                    template: "\n        <div style=\"max-width: 552px\">\n            <div class=\"mat-h2\">{{ title }}</div>\n            <div class=\"mat-subheading-2\">{{ message }}</div>\n            <div style=\"display: flex; justify-content: flex-end; margin-top: 24px;\">\n                <button mat-button color=\"primary\" (click)=\"dialogRef.close()\">Okay</button>\n            </div>\n        </div>\n    "
                },] }
    ];
    /** @nocollapse */
    BluiAuthErrorDialogComponent.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: i0.Inject, args: [i1.MAT_DIALOG_DATA,] }] },
        { type: i1.MatDialogRef }
    ]; };

    var BluiLoginErrorDialogService = /** @class */ (function () {
        function BluiLoginErrorDialogService(dialog) {
            this.dialog = dialog;
        }
        BluiLoginErrorDialogService.prototype.openDialog = function (data) {
            var customErrorData = {
                title: data === null || data === void 0 ? void 0 : data.title,
                message: (data === null || data === void 0 ? void 0 : data.message) || 'Your username/password combination is not recognized.',
            };
            return this.dialog.open(BluiAuthErrorDialogComponent, {
                disableClose: true,
                data: customErrorData,
            });
        };
        return BluiLoginErrorDialogService;
    }());
    /** @nocollapse */ BluiLoginErrorDialogService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiLoginErrorDialogService_Factory() { return new BluiLoginErrorDialogService(i0__namespace.ɵɵinject(i1__namespace.MatDialog)); }, token: BluiLoginErrorDialogService, providedIn: "root" });
    BluiLoginErrorDialogService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    BluiLoginErrorDialogService.ctorParameters = function () { return [
        { type: i1.MatDialog }
    ]; };

    var BluiFormsService = /** @class */ (function () {
        function BluiFormsService() {
        }
        BluiFormsService.prototype.advanceToNextField = function (fieldToNavigateTo) {
            if (fieldToNavigateTo) {
                fieldToNavigateTo.nativeElement.focus();
            }
        };
        return BluiFormsService;
    }());
    /** @nocollapse */ BluiFormsService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiFormsService_Factory() { return new BluiFormsService(); }, token: BluiFormsService, providedIn: "root" });
    BluiFormsService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];

    var EmailFieldComponent = /** @class */ (function () {
        function EmailFieldComponent(_bluiAuthConfig, _bluiSecurityService) {
            this._bluiAuthConfig = _bluiAuthConfig;
            this._bluiSecurityService = _bluiSecurityService;
            this.rememberLoginEmail = false;
            this.rememberRegistrationEmail = false;
            this.edit = new i0.EventEmitter();
            this.enter = new i0.EventEmitter();
            this.matcher = new AuthErrorStateMatcher();
            this.customErrorName = BLUI_LOGIN_VALIDATOR_ERROR_NAME;
        }
        EmailFieldComponent.prototype.ngOnInit = function () {
            var emailValidators = [
                forms.Validators.required,
                forms.Validators.email,
                forms.Validators.pattern(/^[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,}$/i),
            ];
            if (this.customEmailValidator || this._bluiAuthConfig.customEmailValidator) {
                emailValidators.push(this.customEmailValidator || this._bluiAuthConfig.customEmailValidator);
            }
            this.emailFormControl = new forms.FormControl(this.showEmail(), emailValidators);
        };
        EmailFieldComponent.prototype.ngOnChanges = function () {
            this.matcher.setManualError(this.manualErrorMessage);
        };
        EmailFieldComponent.prototype.showEmail = function () {
            if (this.rememberLoginEmail) {
                return this._bluiSecurityService.getSecurityState().rememberMeDetails.email;
            }
            else if (this.rememberRegistrationEmail) {
                return this._bluiSecurityService.getSecurityState().registrationEmail;
            }
            return '';
        };
        EmailFieldComponent.prototype.isEmailFormDirty = function () {
            return (!this.idFieldActive && this.touchedIdField && (this.emailFormControl.dirty || this.emailFormControl.touched));
        };
        EmailFieldComponent.prototype.translate = function () {
            return this._bluiAuthConfig.getTranslations();
        };
        return EmailFieldComponent;
    }());
    EmailFieldComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-email-field',
                    template: "\n        <mat-form-field appearance=\"fill\">\n            <mat-label>{{ translate().GENERAL.EMAIL_FORM_LABEL }}</mat-label>\n            <input\n                id=\"blui-email\"\n                name=\"email\"\n                type=\"email\"\n                matInput\n                autocomplete=\"off\"\n                (ngModelChange)=\"edit.emit(emailFormControl.value)\"\n                (focus)=\"touchedIdField = true; idFieldActive = true\"\n                (blur)=\"idFieldActive = false\"\n                [formControl]=\"emailFormControl\"\n                [errorStateMatcher]=\"matcher\"\n                (keyup.enter)=\"enter.emit()\"\n            />\n            <mat-error\n                *ngIf=\"\n                    !manualErrorMessage &&\n                    isEmailFormDirty() &&\n                    emailFormControl.hasError('email') &&\n                    !emailFormControl.hasError('required') &&\n                    !emailFormControl.hasError(customErrorName)\n                \"\n                [innerHTML]=\"translate().GENERAL.EMAIL_INVALID_ERROR\"\n            >\n            </mat-error>\n            <mat-error\n                *ngIf=\"!manualErrorMessage && isEmailFormDirty() && emailFormControl.hasError('required')\"\n                [innerHTML]=\"translate().GENERAL.IS_REQUIRED_ERROR(translate().GENERAL.EMAIL_FORM_LABEL)\"\n            >\n            </mat-error>\n            <mat-error\n                *ngIf=\"!manualErrorMessage && isEmailFormDirty() && emailFormControl.hasError(customErrorName)\"\n                [innerHTML]=\"emailFormControl.errors[customErrorName].message\"\n            >\n            </mat-error>\n            <mat-error *ngIf=\"manualErrorMessage\" [innerHTML]=\"manualErrorMessage\"> </mat-error>\n        </mat-form-field>\n    ",
                    styles: ["\n            mat-form-field {\n                width: 100%;\n                margin-bottom: 24px;\n            }\n\n            @media only screen and (max-width: 600px) {\n                mat-form-field {\n                    margin-bottom: 16px;\n                }\n            }\n        "]
                },] }
    ];
    /** @nocollapse */
    EmailFieldComponent.ctorParameters = function () { return [
        { type: BluiAuthConfig },
        { type: BluiAuthSecurityService }
    ]; };
    EmailFieldComponent.propDecorators = {
        customEmailValidator: [{ type: i0.Input }],
        rememberLoginEmail: [{ type: i0.Input }],
        manualErrorMessage: [{ type: i0.Input }],
        rememberRegistrationEmail: [{ type: i0.Input }],
        edit: [{ type: i0.Output }],
        enter: [{ type: i0.Output }]
    };

    var PasswordFieldComponent = /** @class */ (function () {
        function PasswordFieldComponent(_bluiAuthConfig, _bluiSecurityService) {
            this._bluiAuthConfig = _bluiAuthConfig;
            this._bluiSecurityService = _bluiSecurityService;
            this.passwordsMatchChange = new i0.EventEmitter();
            this.enter = new i0.EventEmitter();
            this.edit = new i0.EventEmitter();
            this.isPasswordVisible = false;
            this.matcher = new CrossFieldErrorMatcher();
        }
        PasswordFieldComponent.prototype.ngOnInit = function () {
            var rememberedPassword = this.rememberPassword
                ? this._bluiSecurityService.getSecurityState().registrationPassword
                : '';
            this.passwordFormControl = new forms.FormControl(rememberedPassword ? rememberedPassword : '', [
                this._passwordsMatchValidator(),
            ]);
        };
        PasswordFieldComponent.prototype.ngOnChanges = function () {
            this.matcher.setManualError(this.manualErrorMessage);
        };
        PasswordFieldComponent.prototype._passwordsMatchValidator = function () {
            var _this = this;
            return function (control) {
                if (!_this.shouldMatch) {
                    return;
                }
                var passwordsMatch = _this.shouldMatch && _this.shouldMatch.value && control.value === _this.shouldMatch.value;
                _this.passwordsMatchChange.emit(passwordsMatch);
                if (!passwordsMatch) {
                    return { mismatch: { message: '' } };
                }
            };
        };
        PasswordFieldComponent.prototype.translate = function () {
            return this._bluiAuthConfig.getTranslations();
        };
        PasswordFieldComponent.prototype.togglePasswordVisibility = function () {
            this.isPasswordVisible = !this.isPasswordVisible;
        };
        return PasswordFieldComponent;
    }());
    PasswordFieldComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-password-field',
                    template: "\n        <mat-form-field appearance=\"fill\">\n            <mat-label>{{ label || translate().GENERAL.PASSWORD_FORM_LABEL }}</mat-label>\n            <input\n                matInput\n                #bluiPasswordField\n                name=\"password\"\n                autocomplete=\"off\"\n                (ngModelChange)=\"edit.emit(passwordFormControl.value)\"\n                [type]=\"isPasswordVisible ? 'text' : 'password'\"\n                [formControl]=\"passwordFormControl\"\n                [errorStateMatcher]=\"matcher\"\n                (keydown.enter)=\"enter.emit()\"\n            />\n            <button type=\"button\" mat-icon-button matSuffix (click)=\"togglePasswordVisibility()\">\n                <mat-icon>{{ isPasswordVisible ? 'visibility' : 'visibility_off' }}</mat-icon>\n            </button>\n            <mat-error\n                *ngIf=\"!manualErrorMessage && passwordFormControl.hasError('mismatch')\"\n                [innerHTML]=\"translate().GENERAL.PASSWORD_MISMATCH_ERROR\"\n            ></mat-error>\n            <mat-error *ngIf=\"manualErrorMessage\" [innerHTML]=\"manualErrorMessage\"> </mat-error>\n        </mat-form-field>\n    ",
                    styles: ["\n            mat-form-field {\n                width: 100%;\n            }\n        "]
                },] }
    ];
    /** @nocollapse */
    PasswordFieldComponent.ctorParameters = function () { return [
        { type: BluiAuthConfig },
        { type: BluiAuthSecurityService }
    ]; };
    PasswordFieldComponent.propDecorators = {
        rememberPassword: [{ type: i0.Input }],
        label: [{ type: i0.Input }],
        shouldMatch: [{ type: i0.Input }],
        passwordsMatch: [{ type: i0.Input }],
        manualErrorMessage: [{ type: i0.Input }],
        passwordsMatchChange: [{ type: i0.Output }],
        enter: [{ type: i0.Output }],
        edit: [{ type: i0.Output }],
        passwordInputElement: [{ type: i0.ViewChild, args: ['bluiPasswordField',] }]
    };

    var BluiLoginComponent = /** @class */ (function () {
        function BluiLoginComponent(bluiAuthConfig, _router, _changeDetectorRef, _bluiUIActionsService, _bluiSecurityService, _bluiLoginErrorDialogService, bluiFormsService) {
            this.bluiAuthConfig = bluiAuthConfig;
            this._router = _router;
            this._changeDetectorRef = _changeDetectorRef;
            this._bluiUIActionsService = _bluiUIActionsService;
            this._bluiSecurityService = _bluiSecurityService;
            this._bluiLoginErrorDialogService = _bluiLoginErrorDialogService;
            this.bluiFormsService = bluiFormsService;
            this.isPasswordVisible = false;
            this.debugMode = false;
            this.selectedLanguage = 'English';
            this.isEmpty = function (el) { return isEmptyView(el); };
        }
        BluiLoginComponent.prototype.ngOnInit = function () {
            this.rememberMe = this._bluiSecurityService.getSecurityState().rememberMeDetails.rememberMe;
            if (this._bluiSecurityService.getSecurityState().isAuthenticatedUser) {
                this.navigateToDefaultRoute();
                return;
            }
        };
        BluiLoginComponent.prototype.ngAfterViewInit = function () {
            this.emailFormControl = this.emailFieldComponent.emailFormControl;
            this.passwordFormControl = this.passwordFieldComponent.passwordFormControl;
            this._changeDetectorRef.detectChanges();
        };
        BluiLoginComponent.prototype.toggleDebugMode = function () {
            this.debugMode = !this.debugMode;
        };
        BluiLoginComponent.prototype.login = function () {
            var _this = this;
            var email = this.emailFormControl.value;
            var password = this.passwordFormControl.value;
            var rememberMe = Boolean(this.rememberMe);
            this._bluiSecurityService.setLoading(true);
            this._bluiUIActionsService
                .login(email, password, rememberMe)
                .then(function () {
                _this._bluiSecurityService.onUserAuthenticated(email, password, rememberMe);
                _this.navigateToDefaultRoute();
                _this._bluiSecurityService.setLoading(false);
            })
                .catch(function (errorData) {
                // If a user provides `undefined` rejection data, don't throw an error.
                var rejectionData = errorData || {};
                var mode = rejectionData.mode || ['dialog'];
                if (mode.includes('none')) {
                    _this._bluiSecurityService.onUserNotAuthenticated();
                    _this._bluiSecurityService.setLoading(false);
                    return;
                }
                _this.position = rejectionData.position || 'top';
                _this.dismissible = rejectionData.dismissible === undefined ? true : rejectionData.dismissible;
                _this.showDialog = mode.includes('dialog');
                _this.showCardError = mode.includes('message-box');
                _this.showFormErr = mode.includes('form');
                var errorTitle = rejectionData.title || _this.translate().LOGIN.ERROR_TITLE;
                _this.errorMessage = rejectionData.message || _this.translate().LOGIN.INVALID_CREDENTIALS;
                if (_this.showCardError) {
                    _this.showCardError = true;
                }
                if (_this.showDialog) {
                    _this._bluiLoginErrorDialogService.openDialog({
                        title: errorTitle,
                        message: _this.errorMessage,
                    });
                }
                _this._bluiSecurityService.onUserNotAuthenticated();
                _this._bluiSecurityService.setLoading(false);
            });
        };
        BluiLoginComponent.prototype.focusPasswordField = function () {
            this.bluiFormsService.advanceToNextField(this.passwordFieldComponent.passwordInputElement);
        };
        BluiLoginComponent.prototype.toggleRememberMe = function () {
            var rememberMe = this.rememberMe;
            this._bluiSecurityService.updateSecurityState({ rememberMeDetails: { rememberMe: rememberMe } });
        };
        BluiLoginComponent.prototype.navigateToDefaultRoute = function () {
            void this._router.navigate([AUTH_ROUTES.ON_AUTHENTICATED]);
        };
        BluiLoginComponent.prototype.forgotPassword = function () {
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.FORGOT_PASSWORD]);
        };
        BluiLoginComponent.prototype.testForgotPasswordEmail = function () {
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.RESET_PASSWORD], {
                queryParams: { code: 'DEADBEEF', email: 'resetPassword@email.com' },
            });
        };
        BluiLoginComponent.prototype.testInviteRegister = function () {
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.CREATE_ACCOUNT_INVITE], {
                queryParams: { code: 'DEADBEEF' },
            });
        };
        BluiLoginComponent.prototype.createAccount = function () {
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.CREATE_ACCOUNT]);
        };
        BluiLoginComponent.prototype.contactSupport = function () {
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.CONTACT_SUPPORT]);
        };
        BluiLoginComponent.prototype.hasValidFormEntries = function () {
            return (this.passwordFormControl &&
                this.emailFormControl &&
                this.passwordFormControl.value &&
                this.emailFormControl.valid);
        };
        BluiLoginComponent.prototype.changeLanguage = function (languageCode) {
            this.bluiAuthConfig.languageCode = languageCode;
        };
        BluiLoginComponent.prototype.translate = function () {
            return this.bluiAuthConfig.getTranslations();
        };
        BluiLoginComponent.prototype.clearInputErrorMessage = function () {
            this.errorMessage = '';
        };
        return BluiLoginComponent;
    }());
    BluiLoginComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-login',
                    template: "<div class=\"blui-login-header\">\n    <div #header>\n        <ng-content select=\"[blui-login-header]\"></ng-content>\n    </div>\n    <div *ngIf=\"isEmpty(headerEl)\">DEFAULT HEADER</div>\n</div>\n\n<button\n    *ngIf=\"bluiAuthConfig.allowDebugMode\"\n    mat-raised-button\n    class=\"blui-login-debug-button\"\n    color=\"primary\"\n    (click)=\"toggleDebugMode()\"\n    [innerHTML]=\"translate().LOGIN.ENABLE_DEBUG_MODE\"\n></button>\n\n<div *ngIf=\"debugMode\" class=\"blui-login-debug-message\">\n    <div class=\"mat-title\" [innerHTML]=\"translate().LOGIN.DEBUG_MODE\"></div>\n</div>\n\n<ng-template #cardError>\n    <mat-icon *ngIf=\"dismissible\" style=\"float: right; cursor: pointer\" (click)=\"showCardError = false\">close</mat-icon>\n    <div class=\"mat-body-2\" style=\"font-weight: 400\">{{ errorMessage }}</div>\n</ng-template>\n\n<mat-form-field *ngIf=\"debugMode\">\n    <mat-label>Language</mat-label>\n    <mat-select\n        #bluiLanguageSelect\n        (ngModelChange)=\"changeLanguage(bluiLanguageSelect.value)\"\n        [(ngModel)]=\"selectedLanguage\"\n    >\n        <mat-option value=\"EN\">English</mat-option>\n        <mat-option value=\"FR\">French</mat-option>\n        <mat-option value=\"ES\">Spanish</mat-option>\n        <mat-option value=\"ZH\">Chinese</mat-option>\n    </mat-select>\n</mat-form-field>\n\n<mat-card *ngIf=\"errorMessage && showCardError && position === 'top'\" class=\"mat-elevation-z0 blui-login-box-error\">\n    <ng-template [ngTemplateOutlet]=\"cardError\"></ng-template>\n</mat-card>\n<form>\n    <blui-email-field\n        [manualErrorMessage]=\"showFormErr ? errorMessage : ''\"\n        [customEmailValidator]=\"customEmailValidator\"\n        [rememberLoginEmail]=\"true\"\n        (enter)=\"focusPasswordField()\"\n        (edit)=\"clearInputErrorMessage()\"\n    ></blui-email-field>\n    <blui-password-field\n        [manualErrorMessage]=\"showFormErr ? errorMessage : ''\"\n        [style.marginBottom.px]=\"24\"\n        (edit)=\"clearInputErrorMessage()\"\n        (enter)=\"hasValidFormEntries() ? login() : ''\"\n    ></blui-password-field>\n</form>\n\n<mat-card\n    *ngIf=\"errorMessage && showCardError && position === 'bottom'\"\n    class=\"mat-elevation-z0 blui-login-box-error blui-login-box-error-bottom\"\n>\n    <ng-template [ngTemplateOutlet]=\"cardError\"></ng-template>\n</mat-card>\n\n<div class=\"blui-login-remember-me-login-wrapper\">\n    <mat-checkbox\n        *ngIf=\"bluiAuthConfig.showRememberMe\"\n        class=\"blui-login-remember-me-checkbox\"\n        [(ngModel)]=\"rememberMe\"\n        (change)=\"toggleRememberMe()\"\n        >{{ translate().LOGIN.REMEMBER_ME }}</mat-checkbox\n    >\n    <button\n        mat-flat-button\n        color=\"primary\"\n        class=\"blui-login-button\"\n        [class.blui-login-button-full-width]=\"!bluiAuthConfig.showRememberMe\"\n        (click)=\"login()\"\n        [disabled]=\"isLoading || !hasValidFormEntries()\"\n    >\n        {{ translate().GENERAL.LOGIN_BUTTON }}\n    </button>\n</div>\n\n<ng-content select=\"[blui-login-actions]\"></ng-content>\n\n<div\n    *ngIf=\"debugMode && bluiAuthConfig.showResetPassword\"\n    color=\"primary\"\n    class=\"blui-auth-link mat-body-2\"\n    id=\"blui-reset-password-link\"\n    (click)=\"testForgotPasswordEmail()\"\n>\n    {{ translate().LOGIN.FORGOT_PASSWORD_LINK }}\n</div>\n<div\n    *ngIf=\"debugMode && bluiAuthConfig.showCreateAccountViaInvite\"\n    color=\"primary\"\n    class=\"blui-auth-link mat-body-2\"\n    id=\"blui-create-account-invite-link\"\n    (click)=\"testInviteRegister()\"\n>\n    {{ translate().LOGIN.TEST_INVITE_LINK }}\n</div>\n<div\n    *ngIf=\"bluiAuthConfig.showForgotPassword\"\n    color=\"primary\"\n    class=\"blui-auth-link mat-body-2\"\n    id=\"blui-forgot-password-link\"\n    (click)=\"forgotPassword()\"\n    style=\"margin-bottom: 32px\"\n>\n    {{ translate().LOGIN.FORGOT_PASSWORD }}\n</div>\n\n<div\n    *ngIf=\"debugMode || bluiAuthConfig.showCreateAccount || bluiAuthConfig.showContactSupport\"\n    color=\"primary\"\n    class=\"mat-body-2\"\n    style=\"text-align: center;\"\n>\n    {{ translate().LOGIN.NEED_AN_ACCOUNT }}\n</div>\n\n<div\n    *ngIf=\"bluiAuthConfig.showCreateAccount\"\n    class=\"blui-auth-link mat-body-2\"\n    id=\"blui-create-account-link\"\n    style=\"margin-bottom: 32px\"\n    (click)=\"createAccount()\"\n>\n    {{ translate().LOGIN.CREATE_ACCOUNT }}\n</div>\n\n<div\n    *ngIf=\"bluiAuthConfig.showContactSupport\"\n    class=\"blui-auth-link mat-body-2\"\n    (click)=\"contactSupport()\"\n    style=\"margin-bottom: 32px\"\n>\n    {{ translate().LOGIN.CONTACT_SUPPORT }}\n</div>\n\n<blui-spacer></blui-spacer>\n\n<div class=\"blui-login-footer\">\n    <div #footer>\n        <ng-content select=\"[blui-login-footer]\"></ng-content>\n    </div>\n    <div *ngIf=\"isEmpty(footerEl)\">DEFAULT FOOTER</div>\n</div>\n",
                    host: {
                        class: 'Blui-login',
                    },
                    styles: [".blui-login-debug-button{position:absolute;top:24px;right:24px}.blui-login-debug-message{padding:8px;margin-bottom:16px;background-color:#f0cb2f;text-align:center}.blui-login-header{margin-bottom:48px}mat-form-field{width:100%;margin-bottom:25px}::ng-deep .blui-login-remember-me-checkbox .mat-checkbox-inner-container{width:18px;height:18px}.blui-login-remember-me-login-wrapper{display:flex;margin-top:16px;justify-content:space-between;margin-bottom:40px;align-items:center}.blui-login-button{width:150px}.blui-login-button-full-width{width:100%}@media only screen and (max-width:600px){.blui-login-debug-button{position:static;margin-bottom:16px}.blui-login-remember-me-login-wrapper{flex-direction:column}.blui-login-remember-me-login-wrapper .blui-login-remember-me-checkbox{margin-bottom:8px}}.blui-login-box-error{background-color:#ca3c3d;color:#fff;margin-bottom:16px}.blui-login-box-error.blui-login-box-error-bottom{margin-top:24px}"]
                },] }
    ];
    /** @nocollapse */
    BluiLoginComponent.ctorParameters = function () { return [
        { type: BluiAuthConfig },
        { type: i3.Router },
        { type: i0.ChangeDetectorRef },
        { type: BluiAuthUIService },
        { type: BluiAuthSecurityService },
        { type: BluiLoginErrorDialogService },
        { type: BluiFormsService }
    ]; };
    BluiLoginComponent.propDecorators = {
        customEmailValidator: [{ type: i0.Input }],
        headerEl: [{ type: i0.ViewChild, args: ['header', { static: false },] }],
        footerEl: [{ type: i0.ViewChild, args: ['footer', { static: false },] }],
        emailFieldComponent: [{ type: i0.ViewChild, args: [EmailFieldComponent,] }],
        passwordFieldComponent: [{ type: i0.ViewChild, args: [PasswordFieldComponent,] }]
    };

    var BluiForgotPasswordErrorDialogService = /** @class */ (function () {
        function BluiForgotPasswordErrorDialogService(dialog) {
            this.dialog = dialog;
        }
        BluiForgotPasswordErrorDialogService.prototype.openDialog = function (data) {
            return this.dialog.open(BluiAuthErrorDialogComponent, {
                disableClose: true,
                data: data,
            });
        };
        return BluiForgotPasswordErrorDialogService;
    }());
    /** @nocollapse */ BluiForgotPasswordErrorDialogService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiForgotPasswordErrorDialogService_Factory() { return new BluiForgotPasswordErrorDialogService(i0__namespace.ɵɵinject(i1__namespace.MatDialog)); }, token: BluiForgotPasswordErrorDialogService, providedIn: "root" });
    BluiForgotPasswordErrorDialogService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    BluiForgotPasswordErrorDialogService.ctorParameters = function () { return [
        { type: i1.MatDialog }
    ]; };

    var BluiForgotPasswordComponent = /** @class */ (function () {
        function BluiForgotPasswordComponent(_router, _bluiAuthConfig, _bluiAuthUIActionsService, _bluiSecurityService, _bluiForgotPasswordDialogService) {
            this._router = _router;
            this._bluiAuthConfig = _bluiAuthConfig;
            this._bluiAuthUIActionsService = _bluiAuthUIActionsService;
            this._bluiSecurityService = _bluiSecurityService;
            this._bluiForgotPasswordDialogService = _bluiForgotPasswordDialogService;
            this.matcher = new AuthErrorStateMatcher();
            this.passwordResetSuccess = false;
        }
        BluiForgotPasswordComponent.prototype.ngOnInit = function () {
            this.translate = this._bluiAuthConfig.getTranslations();
        };
        BluiForgotPasswordComponent.prototype.ngAfterViewInit = function () {
            this.emailFormControl = this.emailFieldComponent.emailFormControl;
        };
        BluiForgotPasswordComponent.prototype.navigateToLogin = function () {
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.LOGIN]);
        };
        BluiForgotPasswordComponent.prototype.getSupportByPhone = function () {
            var phone = this.translate.CONTACT_SUPPORT.PHONE_NUMBER || this._bluiAuthConfig.contactPhone;
            return this.translate.FORGOT_PASSWORD.CONTACT_SUPPORT_BY_PHONE(phone);
        };
        BluiForgotPasswordComponent.prototype.hasValidEmail = function () {
            return this.emailFormControl && this.emailFormControl.valid;
        };
        BluiForgotPasswordComponent.prototype.resetPassword = function () {
            var _this = this;
            this._bluiSecurityService.setLoading(true);
            this._bluiAuthUIActionsService
                .forgotPassword(this.email)
                .then(function () {
                _this.passwordResetSuccess = true;
                void _this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.FORGOT_PASSWORD]);
                _this._bluiSecurityService.setLoading(false);
            })
                .catch(function (data) {
                _this._bluiForgotPasswordDialogService.openDialog(data);
                _this._bluiSecurityService.setLoading(false);
            });
        };
        return BluiForgotPasswordComponent;
    }());
    BluiForgotPasswordComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-forgot-password',
                    template: "<div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.FORGOT_PASSWORD.TITLE\"></div>\n\n<div class=\"blui-auth-full-height\" *ngIf=\"!passwordResetSuccess\">\n    <p class=\"mat-body-1\" style=\"margin-bottom: 24px;\" [innerHTML]=\"translate.FORGOT_PASSWORD.INSTRUCTIONS\"></p>\n    <p class=\"mat-body-1\" style=\"margin-bottom: 24px;\" [innerHTML]=\"translate.FORGOT_PASSWORD.RESPONSE_TIME_TEXT\"></p>\n    <p class=\"mat-body-1\" style=\"margin-bottom: 24px;\" [innerHTML]=\"getSupportByPhone()\"></p>\n    <mat-divider class=\"blui-auth-divider\" style=\"margin-top: 16px; margin-bottom: 32px;\"></mat-divider>\n    <form>\n        <blui-email-field\n            [customEmailValidator]=\"customEmailValidator\"\n            (edit)=\"email = $event\"\n            (enter)=\"hasValidEmail() ? resetPassword() : ''\"\n        ></blui-email-field>\n    </form>\n</div>\n\n<div class=\"blui-forgot-password-success\" style=\"justify-content: center;\" *ngIf=\"passwordResetSuccess\">\n    <blui-empty-state>\n        <mat-icon blui-empty-icon class=\"blui-forgot-password-empty-state-icon\" color=\"primary\">check_circle</mat-icon>\n        <div blui-title [innerHTML]=\"translate.FORGOT_PASSWORD.SUCCESS_TITLE\"></div>\n        <div blui-description [innerHTML]=\"translate.FORGOT_PASSWORD.SUCCESS_DESCRIPTION(email)\"></div>\n    </blui-empty-state>\n</div>\n\n<mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n<div class=\"blui-auth-action-button-container\">\n    <button\n        mat-stroked-button\n        *ngIf=\"!passwordResetSuccess\"\n        color=\"primary\"\n        (click)=\"navigateToLogin()\"\n        style=\"width: 100px;\"\n    >\n        {{ translate.GENERAL.BACK_BUTTON }}\n    </button>\n    <button\n        mat-flat-button\n        id=\"blui-reset-button\"\n        *ngIf=\"!passwordResetSuccess\"\n        [disabled]=\"!hasValidEmail()\"\n        color=\"primary\"\n        (click)=\"resetPassword()\"\n        style=\"width: 100px;\"\n    >\n        {{ translate.GENERAL.OKAY_BUTTON }}\n    </button>\n    <button\n        mat-flat-button\n        *ngIf=\"passwordResetSuccess\"\n        color=\"primary\"\n        (click)=\"navigateToLogin()\"\n        [style.width.%]=\"100\"\n    >\n        {{ translate.GENERAL.DONE_BUTTON }}\n    </button>\n</div>\n",
                    styles: [".blui-forgot-password-success{display:flex;justify-content:center;flex:1 1 0}.blui-forgot-password-success .blui-empty-state-empty-icon-wrapper{margin-bottom:32px}"]
                },] }
    ];
    /** @nocollapse */
    BluiForgotPasswordComponent.ctorParameters = function () { return [
        { type: i3.Router },
        { type: BluiAuthConfig },
        { type: BluiAuthUIService },
        { type: BluiAuthSecurityService },
        { type: BluiForgotPasswordErrorDialogService }
    ]; };
    BluiForgotPasswordComponent.propDecorators = {
        customEmailValidator: [{ type: i0.Input }],
        emailFieldComponent: [{ type: i0.ViewChild, args: [EmailFieldComponent,] }]
    };

    var BluiResetPasswordErrorDialogService = /** @class */ (function () {
        function BluiResetPasswordErrorDialogService(dialog) {
            this.dialog = dialog;
        }
        BluiResetPasswordErrorDialogService.prototype.openDialog = function (data) {
            return this.dialog.open(BluiAuthErrorDialogComponent, {
                disableClose: true,
                data: data,
            });
        };
        return BluiResetPasswordErrorDialogService;
    }());
    /** @nocollapse */ BluiResetPasswordErrorDialogService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiResetPasswordErrorDialogService_Factory() { return new BluiResetPasswordErrorDialogService(i0__namespace.ɵɵinject(i1__namespace.MatDialog)); }, token: BluiResetPasswordErrorDialogService, providedIn: "root" });
    BluiResetPasswordErrorDialogService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    BluiResetPasswordErrorDialogService.ctorParameters = function () { return [
        { type: i1.MatDialog }
    ]; };

    var BluiResetPasswordComponent = /** @class */ (function () {
        function BluiResetPasswordComponent(_router, _formBuilder, _bluiAuthConfig, _bluiAuthUIService, _bluiSecurityService, _bluiErrorDialogService, _changeDetectorRef, bluiFormsService) {
            var _this = this;
            this._router = _router;
            this._formBuilder = _formBuilder;
            this._bluiAuthConfig = _bluiAuthConfig;
            this._bluiAuthUIService = _bluiAuthUIService;
            this._bluiSecurityService = _bluiSecurityService;
            this._bluiErrorDialogService = _bluiErrorDialogService;
            this._changeDetectorRef = _changeDetectorRef;
            this.bluiFormsService = bluiFormsService;
            this.isLoading = true;
            this.passwordsMatch = false;
            this.isValidResetCode = false;
            this.passwordResetSuccess = false;
            this.passesStrengthCheck = false;
            this.isEmpty = function (el) { return isEmptyView(el); };
            this.passwordRequirements = [];
            this._bluiSecurityService.securityStateChanges().subscribe(function (state) {
                _this.isLoading = state.isLoading;
            });
        }
        BluiResetPasswordComponent.prototype.ngOnInit = function () {
            this.translate = this._bluiAuthConfig.getTranslations();
            this.verifyResetCode();
        };
        BluiResetPasswordComponent.prototype.verifyResetCode = function () {
            var _this = this;
            this._bluiSecurityService.setLoading(true);
            void this._bluiAuthUIService
                .verifyResetCode()
                .then(function () {
                _this.isValidResetCode = true;
                _this._bluiSecurityService.setLoading(false);
                _this._configurePasswordControls();
            })
                .catch(function () {
                _this.isValidResetCode = false;
                _this._bluiSecurityService.setLoading(false);
            });
        };
        BluiResetPasswordComponent.prototype._configurePasswordControls = function () {
            this._changeDetectorRef.detectChanges();
            this.passwordRequirements = this._bluiAuthConfig.getPasswordRequirements();
            this.passwordFormControl = this.passwordFieldComponent.passwordFormControl;
            this.confirmPasswordFormControl = this.confirmPasswordFieldComponent.passwordFormControl;
        };
        BluiResetPasswordComponent.prototype.hasValidPasswords = function () {
            return this.passwordsMatch && this.passesStrengthCheck;
        };
        BluiResetPasswordComponent.prototype.done = function () {
            this.navigateToLogin();
        };
        BluiResetPasswordComponent.prototype.navigateToLogin = function () {
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.LOGIN]);
        };
        BluiResetPasswordComponent.prototype.focusConfirmPassword = function () {
            this.bluiFormsService.advanceToNextField(this.confirmPasswordFieldComponent.passwordInputElement);
        };
        BluiResetPasswordComponent.prototype.resetPassword = function () {
            var _this = this;
            var password = this.confirmPasswordFormControl.value;
            this._bluiSecurityService.setLoading(true);
            void this._bluiAuthUIService
                .setPassword(password)
                .then(function () {
                _this.passwordResetSuccess = true;
                _this._bluiSecurityService.setLoading(false);
            })
                .catch(function (data) {
                _this._bluiSecurityService.setLoading(false);
                _this._bluiErrorDialogService.openDialog(data);
            })
                .then(function () {
                _this._changeDetectorRef.detectChanges();
            });
        };
        return BluiResetPasswordComponent;
    }());
    BluiResetPasswordComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-reset-password',
                    template: "<div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.RESET_PASSWORD.TITLE\"></div>\n\n<div class=\"blui-auth-full-height\">\n    <blui-empty-state *ngIf=\"!isValidResetCode && !isLoading\" class=\"blui-reset-empty-state\">\n        <mat-icon blui-empty-icon color=\"warn\">error</mat-icon>\n        <div blui-title>\n            <div #resetLinkErrorTitleVC>\n                <ng-content select=\"[blui-reset-link-error-title]\"></ng-content>\n            </div>\n            <div\n                *ngIf=\"isEmpty(resetLinkErrorTitleEl)\"\n                [innerHTML]=\"translate.RESET_PASSWORD.RESET_LINK_ERROR_TITLE\"\n            ></div>\n        </div>\n        <div blui-description>\n            <div #resetLinkErrorDescVC>\n                <ng-content select=\"[blui-reset-link-error-description]\"></ng-content>\n            </div>\n            <div\n                *ngIf=\"isEmpty(resetLinkErrorDescEl)\"\n                [innerHTML]=\"translate.RESET_PASSWORD.RESET_LINK_ERROR_DESCRIPTION\"\n            ></div>\n        </div>\n    </blui-empty-state>\n\n    <div *ngIf=\"!passwordResetSuccess && isValidResetCode\">\n        <p class=\"mat-body-1\" style=\"margin-bottom: 24px;\" [innerHTML]=\"translate.RESET_PASSWORD.INSTRUCTIONS\"></p>\n        <mat-divider class=\"blui-auth-divider blui-auth-divider\" style=\"margin-top: 16px; margin-bottom: 32px;\">\n        </mat-divider>\n        <form>\n            <blui-password-field #passwordField (enter)=\"focusConfirmPassword()\"></blui-password-field>\n            <blui-password-strength-checker\n                [(meetsRequirements)]=\"passesStrengthCheck\"\n                [formValue]=\"passwordFormControl?.value\"\n                [requirements]=\"passwordRequirements\"\n            >\n            </blui-password-strength-checker>\n            <blui-password-field\n                #confirmPasswordField\n                [label]=\"translate.GENERAL.CONFIRM_PASSWORD_FORM_LABEL\"\n                [shouldMatch]=\"passwordFormControl\"\n                [(passwordsMatch)]=\"passwordsMatch\"\n                (enter)=\"hasValidPasswords() ? resetPassword() : ''\"\n            >\n            </blui-password-field>\n        </form>\n    </div>\n\n    <blui-empty-state *ngIf=\"passwordResetSuccess\" class=\"blui-reset-empty-state\">\n        <mat-icon blui-empty-icon color=\"primary\">check_circle</mat-icon>\n        <div blui-title [innerHTML]=\"translate.RESET_PASSWORD.SUCCESS_TITLE\"></div>\n        <div blui-description [innerHTML]=\"translate.RESET_PASSWORD.SUCCESS_DESCRIPTION\"></div>\n    </blui-empty-state>\n</div>\n\n<mat-divider *ngIf=\"!isLoading || isValidResetCode\" class=\"blui-auth-divider blui-auth-action-button-divider\">\n</mat-divider>\n\n<div class=\"blui-auth-action-button-container\" *ngIf=\"!isLoading || isValidResetCode\">\n    <button *ngIf=\"!isValidResetCode\" mat-flat-button color=\"primary\" (click)=\"navigateToLogin()\" style=\"width: 100%;\">\n        {{ translate.GENERAL.OKAY_BUTTON }}\n    </button>\n    <ng-container *ngIf=\"isValidResetCode\">\n        <button\n            mat-stroked-button\n            *ngIf=\"!passwordResetSuccess\"\n            color=\"primary\"\n            (click)=\"navigateToLogin()\"\n            style=\"width: 100px;\"\n        >\n            {{ translate.GENERAL.CANCEL_BUTTON }}\n        </button>\n        <button\n            mat-flat-button\n            *ngIf=\"!passwordResetSuccess\"\n            [disabled]=\"!hasValidPasswords() || isLoading\"\n            color=\"primary\"\n            (click)=\"resetPassword()\"\n            style=\"width: 100px;\"\n        >\n            {{ translate.GENERAL.OKAY_BUTTON }}\n        </button>\n        <button mat-flat-button *ngIf=\"passwordResetSuccess\" color=\"primary\" (click)=\"done()\" style=\"width: 100%;\">\n            {{ translate.GENERAL.DONE_BUTTON }}\n        </button>\n    </ng-container>\n</div>\n",
                    styles: [".blui-reset-empty-state{display:flex;justify-content:center;flex:1 1 0}.blui-reset-empty-state ::ng-deep .blui-empty-state-empty-icon-wrapper{margin-bottom:32px}"]
                },] }
    ];
    /** @nocollapse */
    BluiResetPasswordComponent.ctorParameters = function () { return [
        { type: i3.Router },
        { type: forms.FormBuilder },
        { type: BluiAuthConfig },
        { type: BluiAuthUIService },
        { type: BluiAuthSecurityService },
        { type: BluiResetPasswordErrorDialogService },
        { type: i0.ChangeDetectorRef },
        { type: BluiFormsService }
    ]; };
    BluiResetPasswordComponent.propDecorators = {
        resetLinkErrorTitleEl: [{ type: i0.ViewChild, args: ['resetLinkErrorTitleVC',] }],
        resetLinkErrorDescEl: [{ type: i0.ViewChild, args: ['resetLinkErrorDescVC',] }],
        passwordFieldComponent: [{ type: i0.ViewChild, args: ['passwordField',] }],
        confirmPasswordFieldComponent: [{ type: i0.ViewChild, args: ['confirmPasswordField',] }]
    };

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || Array.prototype.slice.call(from));
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    var BluiCreateAccountErrorDialogService = /** @class */ (function () {
        function BluiCreateAccountErrorDialogService(dialog) {
            this.dialog = dialog;
        }
        BluiCreateAccountErrorDialogService.prototype.openDialog = function (data) {
            return this.dialog.open(BluiAuthErrorDialogComponent, {
                disableClose: true,
                data: data,
            });
        };
        return BluiCreateAccountErrorDialogService;
    }());
    /** @nocollapse */ BluiCreateAccountErrorDialogService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiCreateAccountErrorDialogService_Factory() { return new BluiCreateAccountErrorDialogService(i0__namespace.ɵɵinject(i1__namespace.MatDialog)); }, token: BluiCreateAccountErrorDialogService, providedIn: "root" });
    BluiCreateAccountErrorDialogService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    BluiCreateAccountErrorDialogService.ctorParameters = function () { return [
        { type: i1.MatDialog }
    ]; };

    var CreateAccountService = /** @class */ (function () {
        function CreateAccountService(detailsStartPage, accountDetails) {
            this.detailsStartPage = detailsStartPage;
            this.accountDetails = accountDetails;
            /* Account Registration Pages start with 0 index. */
            this.currentPage = 0;
        }
        /* Decrements currentPage index by 1. */
        CreateAccountService.prototype.prevStep = function () {
            this.currentPage--;
        };
        /* Increments currentPage index by 1. */
        CreateAccountService.prototype.nextStep = function () {
            this.currentPage++;
        };
        /* Returns current page number. */
        CreateAccountService.prototype.getCurrentPage = function () {
            return this.currentPage;
        };
        /* Returns true if on-screen custom account detail forms contain valid entries. */
        CreateAccountService.prototype.hasValidAccountDetails = function () {
            var detailsIndex = this.currentPage - this.detailsStartPage; /* index of custom accountDetails to use. */
            var hasCustomForms = this._hasDetailsAtIndex(detailsIndex);
            return !hasCustomForms || this.accountDetails[detailsIndex].isValid();
        };
        /* Returns true if the current page is an Accounts Details entry page. */
        CreateAccountService.prototype.isAccountDetailsPage = function () {
            return (this.currentPage >= this.detailsStartPage &&
                this.currentPage < this.detailsStartPage + this.getNumberOfAccountDetailsPages());
        };
        /* Returns true if current page is the first account details page. */
        CreateAccountService.prototype.isFirstAccountDetailsPage = function () {
            return this.currentPage === this.detailsStartPage;
        };
        CreateAccountService.prototype.isCustomAccountsDetailsPage = function () {
            return !this.isFirstAccountDetailsPage() && this.isAccountDetailsPage();
        };
        /* Returns true if the current page is the last account details page. */
        CreateAccountService.prototype.isLastAccountDetailsPage = function () {
            return this.currentPage === this.detailsStartPage + this.getNumberOfAccountDetailsPages() - 1;
        };
        /* Searches for custom AccountDetails and returns true if it exists. */
        CreateAccountService.prototype._hasDetailsAtIndex = function (index) {
            return (this.accountDetails &&
                this.accountDetails[index] &&
                this.accountDetails[index].formControls &&
                this.accountDetails[index].formControls.size > 0);
        };
        /* Returns how many pages of account details a user will have to fill out. */
        CreateAccountService.prototype.getNumberOfAccountDetailsPages = function () {
            return this.accountDetails.length === 0 ? 1 : this.accountDetails.length;
        };
        /* Returns true when the user has finished the account-details section of self-registration. */
        CreateAccountService.prototype.showAccountCreatedPage = function () {
            return this.currentPage === this.detailsStartPage + this.getNumberOfAccountDetailsPages();
        };
        /* Returns the number of steps to show in the mobile stepper based off of how many account details pages there are. */
        CreateAccountService.prototype.getNumberOfSteps = function () {
            return this.detailsStartPage + this.getNumberOfAccountDetailsPages();
        };
        /* Returns user-provided custom account details for the currentPage. */
        CreateAccountService.prototype.getCustomAccountDetailsTemplate = function () {
            var detailsIndex = this.currentPage - this.detailsStartPage; /* index of custom accountDetails to use. */
            if (this._hasDetailsAtIndex(detailsIndex)) {
                return this.accountDetails[detailsIndex].form;
            }
        };
        CreateAccountService.prototype.getCustomAccountDetailsTitle = function () {
            var detailsIndex = this.currentPage - this.detailsStartPage; /* index of custom accountDetails to use. */
            if (this._hasDetailsAtIndex(detailsIndex)) {
                return this.accountDetails[detailsIndex].pageTitle;
            }
        };
        CreateAccountService.prototype.getCustomAccountDetailsInstructions = function () {
            var detailsIndex = this.currentPage - this.detailsStartPage; /* index of custom accountDetails to use. */
            if (this._hasDetailsAtIndex(detailsIndex)) {
                return this.accountDetails[detailsIndex].pageInstructions;
            }
        };
        /* Called upon completing the self-registration process, empties all forms.  */
        CreateAccountService.prototype.clearAccountDetails = function () {
            var e_1, _a, e_2, _b;
            try {
                for (var _c = __values(this.accountDetails), _d = _c.next(); !_d.done; _d = _c.next()) {
                    var detail = _d.value;
                    if (detail && detail.formControls) {
                        try {
                            for (var _e = (e_2 = void 0, __values(detail.formControls.values())), _f = _e.next(); !_f.done; _f = _e.next()) {
                                var formControls = _f.value;
                                formControls.reset();
                            }
                        }
                        catch (e_2_1) { e_2 = { error: e_2_1 }; }
                        finally {
                            try {
                                if (_f && !_f.done && (_b = _e.return)) _b.call(_e);
                            }
                            finally { if (e_2) throw e_2.error; }
                        }
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_d && !_d.done && (_a = _c.return)) _a.call(_c);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        /* Returns string[] of custom account detail values. */
        CreateAccountService.prototype.getAccountDetailsCustomValues = function () {
            var e_3, _a;
            var customAccountDetails = new Map();
            try {
                for (var _b = __values(this.accountDetails), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var detail = _c.value;
                    if (detail && detail.formControls) {
                        detail.formControls.forEach(function (formControl, key) {
                            customAccountDetails.set(key, formControl);
                        });
                    }
                }
            }
            catch (e_3_1) { e_3 = { error: e_3_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_3) throw e_3.error; }
            }
            return customAccountDetails;
        };
        return CreateAccountService;
    }());

    var ACCOUNT_DETAILS_STARTING_PAGE$1 = 4;
    var BluiCreateAccountComponent = /** @class */ (function () {
        function BluiCreateAccountComponent(_router, _bluiAuthConfig, _bluiRegisterService, _bluiSecurityService, _bluiErrorDialogService) {
            var _this = this;
            this._router = _router;
            this._bluiAuthConfig = _bluiAuthConfig;
            this._bluiRegisterService = _bluiRegisterService;
            this._bluiSecurityService = _bluiSecurityService;
            this._bluiErrorDialogService = _bluiErrorDialogService;
            this.accountDetails = [];
            this.isLoading = true;
            this.isValidVerificationCode = true;
            this.stateListener = this._bluiSecurityService.securityStateChanges().subscribe(function (state) {
                _this.isLoading = state.isLoading;
            });
        }
        BluiCreateAccountComponent.prototype.ngOnInit = function () {
            this.translate = this._bluiAuthConfig.getTranslations();
            this.registrationUtils = new CreateAccountService(ACCOUNT_DETAILS_STARTING_PAGE$1, this.accountDetails);
        };
        BluiCreateAccountComponent.prototype.ngOnDestroy = function () {
            this.stateListener.unsubscribe();
        };
        BluiCreateAccountComponent.prototype.validateVerificationCode = function () {
            var _this = this;
            this._bluiSecurityService.setLoading(true);
            this._bluiRegisterService
                .validateUserRegistrationRequest(this.verificationCode)
                .then(function (registrationComplete) {
                _this._bluiSecurityService.setLoading(false);
                _this.registrationUtils.nextStep();
                _this.isBrightlayerCloudAccount = registrationComplete;
            })
                .catch(function (data) {
                _this._bluiErrorDialogService.openDialog(data);
                _this._bluiSecurityService.setLoading(false);
            });
        };
        BluiCreateAccountComponent.prototype.registerAccount = function () {
            var _this = this;
            this._bluiSecurityService.setLoading(true);
            var customForms = this.registrationUtils.getAccountDetailsCustomValues();
            this._bluiRegisterService
                .completeRegistration(this.firstName, this.lastName, customForms, this.password, this.verificationCode, this.email)
                .then(function () {
                var e_1, _a;
                _this._bluiSecurityService.setLoading(false);
                _this._bluiSecurityService.updateSecurityState({ registrationEmail: _this.email });
                _this.registrationSuccessScreenContext = {
                    email: _this.email,
                    firstName: _this.firstName,
                    lastName: _this.lastName,
                };
                try {
                    for (var _b = __values(customForms.keys()), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var key = _c.value;
                        _this.registrationSuccessScreenContext[key] = customForms.get(key).value;
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
                _this._bluiSecurityService.updateSecurityState({ registrationEmail: '', registrationPassword: '' });
                _this.registrationUtils.clearAccountDetails();
                _this.registrationUtils.nextStep();
            })
                .catch(function (data) {
                _this._bluiErrorDialogService.openDialog(data);
                _this._bluiSecurityService.setLoading(false);
            });
        };
        BluiCreateAccountComponent.prototype.attemptContinue = function () {
            if (this.canContinue()) {
                this.goNext();
            }
        };
        BluiCreateAccountComponent.prototype.canContinue = function () {
            if (this.registrationUtils.isAccountDetailsPage()) {
                return this.registrationUtils.isFirstAccountDetailsPage()
                    ? this.validAccountName && this.registrationUtils.hasValidAccountDetails()
                    : this.registrationUtils.hasValidAccountDetails();
            }
            switch (this.registrationUtils.getCurrentPage()) {
                case 0:
                    return this.userAcceptsEula;
                case 1:
                    return this.isValidEmail;
                case 2:
                    return Boolean(this.verificationCode);
                case 3:
                    return this.passwordMeetsRequirements;
                default:
                    break;
            }
        };
        BluiCreateAccountComponent.prototype.goNext = function () {
            if (this.registrationUtils.isAccountDetailsPage()) {
                return this.registrationUtils.isLastAccountDetailsPage()
                    ? this.registerAccount()
                    : this.registrationUtils.nextStep();
            }
            if (this.registrationUtils.getCurrentPage() === 2) {
                return this.validateVerificationCode();
            }
            if (this.registrationUtils.getCurrentPage() === 3) {
                this._bluiSecurityService.updateSecurityState({ registrationPassword: this.password });
            }
            return this.registrationUtils.nextStep();
        };
        BluiCreateAccountComponent.prototype.goBack = function () {
            if (this.registrationUtils.getCurrentPage() === 0) {
                this.navigateToLogin();
            }
            else {
                this.registrationUtils.prevStep();
            }
        };
        BluiCreateAccountComponent.prototype.navigateToLogin = function () {
            this._bluiSecurityService.updateSecurityState({ registrationEmail: '', registrationPassword: '' });
            this.registrationUtils.clearAccountDetails();
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.LOGIN]);
        };
        BluiCreateAccountComponent.prototype.getUserName = function () {
            return this.firstName + " " + this.lastName;
        };
        BluiCreateAccountComponent.prototype.getCustomEmailValidator = function () {
            return this.customEmailValidator || this._bluiAuthConfig.customEmailValidator;
        };
        return BluiCreateAccountComponent;
    }());
    BluiCreateAccountComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-create-account',
                    template: "<ng-container *ngIf=\"!isBrightlayerCloudAccount\">\n    <blui-create-account-eula-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 0\"\n        [(userAcceptsEula)]=\"userAcceptsEula\"\n    ></blui-create-account-eula-step>\n\n    <blui-create-account-provide-email-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 1\"\n        [(email)]=\"email\"\n        [(isValidEmail)]=\"isValidEmail\"\n        [customEmailValidator]=\"getCustomEmailValidator()\"\n        (advance)=\"attemptContinue()\"\n    ></blui-create-account-provide-email-step>\n\n    <blui-create-account-verify-email-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 2\"\n        [email]=\"email\"\n        [(verificationCode)]=\"verificationCode\"\n        (advance)=\"attemptContinue()\"\n    ></blui-create-account-verify-email-step>\n\n    <blui-create-account-create-password-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 3\"\n        [(password)]=\"password\"\n        [(passwordMeetsRequirements)]=\"passwordMeetsRequirements\"\n        (advance)=\"attemptContinue()\"\n    >\n    </blui-create-account-create-password-step>\n\n    <!-- First Account Details Page -->\n    <blui-create-account-account-details-step\n        *ngIf=\"registrationUtils.isFirstAccountDetailsPage()\"\n        [showDefaultAccountDetails]=\"true\"\n        [(firstName)]=\"firstName\"\n        [(lastName)]=\"lastName\"\n        [pageTitle]=\"accountDetails[0]?.pageTitle\"\n        [pageInstructions]=\"accountDetails[0]?.pageInstructions\"\n        (accountNameValid)=\"validAccountName = $event\"\n        (advance)=\"attemptContinue()\"\n    >\n        <template\n            blui-account-details\n            [ngTemplateOutlet]=\"registrationUtils.getCustomAccountDetailsTemplate()\"\n        ></template>\n    </blui-create-account-account-details-step>\n\n    <!-- Custom Account Details Pages -->\n    <blui-create-account-account-details-step\n        *ngIf=\"registrationUtils.isCustomAccountsDetailsPage()\"\n        [pageTitle]=\"registrationUtils.getCustomAccountDetailsTitle()\"\n        [pageInstructions]=\"registrationUtils.getCustomAccountDetailsInstructions()\"\n    >\n        <template\n            blui-account-details\n            [ngTemplateOutlet]=\"registrationUtils.getCustomAccountDetailsTemplate()\"\n        ></template>\n    </blui-create-account-account-details-step>\n\n    <blui-create-account-account-created-step\n        *ngIf=\"registrationUtils.showAccountCreatedPage()\"\n        [userName]=\"getUserName()\"\n        [email]=\"email\"\n        [registrationSuccessScreen]=\"registrationSuccessScreen\"\n        [registrationSuccessScreenContext]=\"registrationSuccessScreenContext\"\n    ></blui-create-account-account-created-step>\n\n    <ng-container *ngIf=\"!registrationUtils.showAccountCreatedPage()\">\n        <mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n        <div class=\"blui-auth-action-button-container\">\n            <blui-mobile-stepper\n                [steps]=\"registrationUtils.getNumberOfSteps()\"\n                [activeStep]=\"registrationUtils.getCurrentPage()\"\n            >\n                <button blui-back-button mat-stroked-button color=\"primary\" style=\"width: 100px;\" (click)=\"goBack()\">\n                    <ng-container *ngIf=\"registrationUtils.getCurrentPage() === 0\">\n                        {{ translate.GENERAL.CANCEL_BUTTON }}\n                    </ng-container>\n                    <ng-container *ngIf=\"registrationUtils.getCurrentPage() !== 0\">\n                        {{ translate.GENERAL.BACK_BUTTON }}\n                    </ng-container>\n                </button>\n                <button\n                    blui-next-button\n                    mat-flat-button\n                    color=\"primary\"\n                    style=\"width: 100px;\"\n                    [disabled]=\"!canContinue()\"\n                    (click)=\"goNext()\"\n                >\n                    {{ translate.GENERAL.NEXT_BUTTON }}\n                </button>\n            </blui-mobile-stepper>\n        </div>\n    </ng-container>\n</ng-container>\n\n<ng-container *ngIf=\"isBrightlayerCloudAccount\">\n    <blui-create-account-account-existing-step\n        [email]=\"email\"\n        [registrationSuccessScreen]=\"existingAccountSuccessScreen\"\n    >\n    </blui-create-account-account-existing-step>\n</ng-container>\n",
                    styles: ["blui-create-account-account-created-step,blui-create-account-account-details-step,blui-create-account-account-existing-step,blui-create-account-create-password-step,blui-create-account-eula-step,blui-create-account-provide-email-step,blui-create-account-verify-email-step{display:flex;flex:1 1 0;flex-direction:column}"]
                },] }
    ];
    /** @nocollapse */
    BluiCreateAccountComponent.ctorParameters = function () { return [
        { type: i3.Router },
        { type: BluiAuthConfig },
        { type: BluiRegisterUIService },
        { type: BluiAuthSecurityService },
        { type: BluiCreateAccountErrorDialogService }
    ]; };
    BluiCreateAccountComponent.propDecorators = {
        customEmailValidator: [{ type: i0.Input }],
        accountDetails: [{ type: i0.Input }],
        registrationSuccessScreen: [{ type: i0.Input }],
        existingAccountSuccessScreen: [{ type: i0.Input }]
    };

    var BluiAuthComponent = /** @class */ (function () {
        function BluiAuthComponent(_router, _bluiAuthConfig, _bluiAuthUIService, _changeDetectorRef, _bluiSecurityService) {
            this._router = _router;
            this._bluiAuthConfig = _bluiAuthConfig;
            this._bluiAuthUIService = _bluiAuthUIService;
            this._changeDetectorRef = _changeDetectorRef;
            this._bluiSecurityService = _bluiSecurityService;
            this.isLoading = false;
            this.isSecurityInitiated = false;
            this._listenForAuthLoadingStateChanges();
            this._listenForAuthRouteChanges();
        }
        BluiAuthComponent.prototype.ngOnInit = function () {
            this.initiateSecurity();
            this.projectImage = this._bluiAuthConfig.projectImage;
            this.backgroundImage = this._bluiAuthConfig.backgroundImage;
        };
        BluiAuthComponent.prototype.ngOnDestroy = function () {
            this.stateListener.unsubscribe();
            this.routeListener.unsubscribe();
        };
        BluiAuthComponent.prototype.initiateSecurity = function () {
            var _this = this;
            void this._bluiAuthUIService.initiateSecurity().then(function () {
                _this.isSecurityInitiated = true;
                _this._changeDetectorRef.detectChanges();
            });
        };
        // This will listen for auth state loading changes and toggles the shared overlay loading screen.
        BluiAuthComponent.prototype._listenForAuthLoadingStateChanges = function () {
            var _this = this;
            this.stateListener = this._bluiSecurityService
                .securityStateChanges()
                .subscribe(function (securityContext) {
                _this.isLoading = securityContext.isLoading;
                _this.loadingMessage = securityContext.loadingMessage;
                _this._changeDetectorRef.detectChanges();
            });
        };
        // Observes route changes and determines which Blui Auth page to show via route name.
        BluiAuthComponent.prototype._listenForAuthRouteChanges = function () {
            var _this = this;
            this.routeListener = this._router.events.subscribe(function (route) {
                if (route instanceof i3.NavigationEnd) {
                    _this._resetSelectedRoute();
                    var url = route.urlAfterRedirects;
                    _this.showLogin = matchesRoute(url, 'LOGIN');
                    _this.showResetPassword = matchesRoute(url, 'RESET_PASSWORD');
                    _this.showCreateAccount = matchesRoute(url, 'CREATE_ACCOUNT');
                    _this.showForgotPassword = matchesRoute(url, 'FORGOT_PASSWORD');
                    _this.showContactSupport = matchesRoute(url, 'CONTACT_SUPPORT');
                    _this.showCreateAccountInvite = matchesRoute(url, 'CREATE_ACCOUNT_INVITE');
                    _this._changeDetectorRef.detectChanges();
                }
            });
        };
        BluiAuthComponent.prototype._resetSelectedRoute = function () {
            this.showLogin = false;
            this.showForgotPassword = false;
            this.showCreateAccount = false;
            this.showCreateAccountInvite = false;
            this.showResetPassword = false;
            this.showContactSupport = false;
        };
        return BluiAuthComponent;
    }());
    BluiAuthComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-auth',
                    template: "<div class=\"blui-auth-content\" [style.backgroundImage]=\"'url(' + backgroundImage + ')'\">\n    <mat-card class=\"blui-auth-inner-card\" [class.blui-auth-splash-screen]=\"!isSecurityInitiated\">\n        <blui-auth-loading-overlay *ngIf=\"isLoading\" [loadingMessage]=\"loadingMessage\"></blui-auth-loading-overlay>\n\n        <ng-container *ngIf=\"isSecurityInitiated\">\n            <!-- Login  -->\n            <div class=\"blui-auth-login\" *ngIf=\"showLogin\">\n                <template [ngTemplateOutlet]=\"loginRef\"></template>\n                <blui-login *ngIf=\"!loginRef\"></blui-login>\n            </div>\n\n            <!-- Reset Password -->\n            <div class=\"blui-auth-reset-password\" *ngIf=\"showResetPassword\">\n                <template [ngTemplateOutlet]=\"resetPasswordRef\"></template>\n                <blui-reset-password *ngIf=\"!resetPasswordRef\"></blui-reset-password>\n            </div>\n\n            <!-- Create Account (Self-Register) -->\n            <div class=\"blui-auth-create-account\" *ngIf=\"showCreateAccount\">\n                <template [ngTemplateOutlet]=\"createAccountRef\"></template>\n                <blui-create-account *ngIf=\"!createAccountRef\"></blui-create-account>\n            </div>\n\n            <!-- Create Account (Invited) -->\n            <div class=\"blui-auth-create-account-invite\" *ngIf=\"showCreateAccountInvite\">\n                <template [ngTemplateOutlet]=\"createAccountInviteRef\"></template>\n                <blui-create-account-invite *ngIf=\"!createAccountInviteRef\"></blui-create-account-invite>\n            </div>\n\n            <!-- Forgot Password -->\n            <div class=\"blui-auth-forgot-password\" *ngIf=\"showForgotPassword\">\n                <template [ngTemplateOutlet]=\"forgotPasswordRef\"></template>\n                <blui-forgot-password *ngIf=\"!forgotPasswordRef\"></blui-forgot-password>\n            </div>\n\n            <!-- Contact Support -->\n            <div class=\"blui-auth-contact-support\" *ngIf=\"showContactSupport\">\n                <template [ngTemplateOutlet]=\"contactSupportRef\"></template>\n                <blui-contact-support *ngIf=\"!contactSupportRef\"></blui-contact-support>\n            </div>\n        </ng-container>\n\n        <div *ngIf=\"!isSecurityInitiated\" class=\"blui-auth-splash-screen-content\">\n            <img [src]=\"projectImage\" style=\"max-width: 100%; max-height: 80px; margin-bottom: 48px;\" />\n            <mat-spinner diameter=\"40\"></mat-spinner>\n        </div>\n    </mat-card>\n</div>\n",
                    host: {
                        class: 'blui-auth',
                    },
                    styles: [".blui-auth-content{height:100%;display:flex;justify-content:center;align-items:center;background-color:#007bc1}.blui-auth-content .blui-auth-inner-card{padding:0;box-sizing:border-box;width:100%;height:100%;display:flex;position:relative;max-width:450px;max-height:730px;flex-direction:column;overflow:auto}.blui-auth-content .blui-auth-splash-screen{align-items:center;justify-content:center}.blui-auth-content .blui-auth-splash-screen-content{display:flex;flex-direction:column;align-items:center}.blui-auth-content .blui-auth-login{padding:32px 64px;overflow:auto;flex:1 1 0;display:flex;flex-direction:column}.blui-auth-content .blui-auth-login>div{height:100%}.blui-auth-content .blui-auth-contact-support,.blui-auth-content .blui-auth-create-account,.blui-auth-content .blui-auth-create-account-invite,.blui-auth-content .blui-auth-forgot-password,.blui-auth-content .blui-auth-reset-password{flex:1 1 0;display:flex;flex-direction:column;padding:32px 24px 24px}@media only screen and (max-width:600px){.blui-auth-content .blui-auth-contact-support,.blui-auth-content .blui-auth-create-account,.blui-auth-content .blui-auth-create-account-invite,.blui-auth-content .blui-auth-forgot-password,.blui-auth-content .blui-auth-reset-password{padding:16px}.blui-auth-content .blui-auth-login{padding:32px}.blui-auth-content .blui-auth-inner-card{max-width:none;max-height:none;border-radius:0}}::ng-deep .blui-auth-link{color:#007bc1;text-decoration:none;font-weight:600;text-align:center;cursor:pointer}::ng-deep .blui-auth-title{padding-bottom:16px}::ng-deep .blui-auth-full-height{display:flex;flex-direction:column;flex:1 1 0}::ng-deep .mat-divider.blui-auth-divider{margin-left:-24px!important;margin-right:-24px!important;position:static!important;width:auto!important}::ng-deep .mat-divider.blui-auth-divider-32{margin-left:-32px!important;margin-right:-32px!important}::ng-deep .mat-divider.blui-auth-action-button-divider{margin-bottom:16px}::ng-deep .blui-auth-action-button-container{padding-top:8px;display:flex;justify-content:space-between}::ng-deep .blui-auth-action-button-container .blui-mobile-stepper-content button{margin:0}::ng-deep blui-contact-support,::ng-deep blui-create-account,::ng-deep blui-create-account-invite,::ng-deep blui-forgot-password,::ng-deep blui-login,::ng-deep blui-reset-password{flex:1 1 0;display:flex;flex-direction:column;height:100%}::ng-deep blui-password-strength-checker{margin-bottom:24px;margin-top:-16px}@media only screen and (max-width:600px){::ng-deep .mat-divider.blui-auth-divider{margin-left:-16px!important;margin-right:-16px!important}::ng-deep .mat-divider.blui-auth-action-button-divider{margin-bottom:8px}}"]
                },] }
    ];
    /** @nocollapse */
    BluiAuthComponent.ctorParameters = function () { return [
        { type: i3.Router },
        { type: BluiAuthConfig },
        { type: BluiAuthUIService },
        { type: i0.ChangeDetectorRef },
        { type: BluiAuthSecurityService }
    ]; };
    BluiAuthComponent.propDecorators = {
        createAccountInviteRef: [{ type: i0.Input }],
        createAccountRef: [{ type: i0.Input }],
        loginRef: [{ type: i0.Input }],
        forgotPasswordRef: [{ type: i0.Input }],
        resetPasswordRef: [{ type: i0.Input }],
        contactSupportRef: [{ type: i0.Input }]
    };

    var BluiContactSupportComponent = /** @class */ (function () {
        function BluiContactSupportComponent(_bluiAuthConfig, _router, _changeDetectorRef) {
            this._bluiAuthConfig = _bluiAuthConfig;
            this._router = _router;
            this._changeDetectorRef = _changeDetectorRef;
            this.isEmpty = function (el) { return isEmptyView(el); };
        }
        BluiContactSupportComponent.prototype.ngOnInit = function () {
            this.translate = this._bluiAuthConfig.getTranslations();
        };
        BluiContactSupportComponent.prototype.ngAfterViewInit = function () {
            this._changeDetectorRef.detectChanges();
        };
        BluiContactSupportComponent.prototype.getGeneralSupportDescription = function () {
            var email = this.translate.CONTACT_SUPPORT.EMAIL || this._bluiAuthConfig.contactEmail;
            return this.translate.CONTACT_SUPPORT.GENERAL_SUPPORT_DESCRIPTION(email);
        };
        BluiContactSupportComponent.prototype.getEmergencySupportDescription = function () {
            var phone = this.translate.CONTACT_SUPPORT.PHONE_NUMBER || this._bluiAuthConfig.contactPhone;
            return this.translate.CONTACT_SUPPORT.EMERGENCY_SUPPORT_DESCRIPTION(phone);
        };
        BluiContactSupportComponent.prototype.navigateToLogin = function () {
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.LOGIN]);
        };
        return BluiContactSupportComponent;
    }());
    BluiContactSupportComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-contact-support',
                    template: "<div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CONTACT_SUPPORT.TITLE\"></div>\n\n<div style=\"text-align: center; margin-bottom: 26px; margin-top: 8px;\">\n    <div #iconVC>\n        <ng-content select=\"[blui-icon]\"></ng-content>\n    </div>\n    <mat-icon *ngIf=\"isEmpty(iconEl)\" class=\"blui-contact-support-chat-bubble-icon\" color=\"primary\"\n        >chat_bubble_outline\n    </mat-icon>\n</div>\n\n<div class=\"blui-auth-full-height\">\n    <div #instructionsVC>\n        <ng-content select=\"[blui-instructions]\"></ng-content>\n    </div>\n    <div *ngIf=\"isEmpty(instructionsEl)\">\n        <p\n            class=\"mat-body-1\"\n            style=\"margin-bottom: 8px;\"\n            [innerHTML]=\"translate.CONTACT_SUPPORT.GENERAL_SUPPORT_TITLE\"\n        ></p>\n        <p class=\"mat-body-1\" style=\"margin-bottom: 32px;\" [innerHTML]=\"getGeneralSupportDescription()\"></p>\n        <p\n            class=\"mat-body-1\"\n            style=\"margin-bottom: 8px;\"\n            [innerHTML]=\"translate.CONTACT_SUPPORT.EMERGENCY_SUPPORT_TITLE\"\n        ></p>\n        <p class=\"mat-body-1\" [innerHTML]=\"getEmergencySupportDescription()\"></p>\n    </div>\n</div>\n\n<mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n\n<div class=\"blui-auth-action-button-container\">\n    <button mat-flat-button color=\"primary\" (click)=\"navigateToLogin()\" [style.width.%]=\"100\">\n        {{ translate.GENERAL.OKAY_BUTTON }}\n    </button>\n</div>\n",
                    host: {
                        class: 'blui-contact-support',
                    },
                    styles: [".blui-contact-support-chat-bubble-icon{font-size:70px;margin-left:-45px}"]
                },] }
    ];
    /** @nocollapse */
    BluiContactSupportComponent.ctorParameters = function () { return [
        { type: BluiAuthConfig },
        { type: i3.Router },
        { type: i0.ChangeDetectorRef }
    ]; };
    BluiContactSupportComponent.propDecorators = {
        instructions: [{ type: i0.Input }],
        iconEl: [{ type: i0.ViewChild, args: ['iconVC',] }],
        instructionsEl: [{ type: i0.ViewChild, args: ['instructionsVC',] }]
    };

    var BluiChangePasswordDialogComponent = /** @class */ (function () {
        function BluiChangePasswordDialogComponent(dialogRef) {
            this.dialogRef = dialogRef;
        }
        BluiChangePasswordDialogComponent.prototype.cancel = function () {
            this.dialogRef.close('cancel');
        };
        return BluiChangePasswordDialogComponent;
    }());
    BluiChangePasswordDialogComponent.decorators = [
        { type: i0.Component, args: [{
                    template: '<blui-change-password></blui-change-password>'
                },] }
    ];
    /** @nocollapse */
    BluiChangePasswordDialogComponent.ctorParameters = function () { return [
        { type: i1.MatDialogRef }
    ]; };

    var BluiChangePasswordDialogService = /** @class */ (function () {
        function BluiChangePasswordDialogService(dialog) {
            this.dialog = dialog;
        }
        BluiChangePasswordDialogService.prototype.openDialog = function () {
            return this.dialog.open(BluiChangePasswordDialogComponent, {
                width: '444px',
                height: '710px',
                disableClose: true,
                panelClass: 'blui-change-password-dialog',
            });
        };
        BluiChangePasswordDialogService.prototype.closeDialog = function () {
            this.dialog.closeAll();
        };
        return BluiChangePasswordDialogService;
    }());
    /** @nocollapse */ BluiChangePasswordDialogService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiChangePasswordDialogService_Factory() { return new BluiChangePasswordDialogService(i0__namespace.ɵɵinject(i1__namespace.MatDialog)); }, token: BluiChangePasswordDialogService, providedIn: "root" });
    BluiChangePasswordDialogService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    BluiChangePasswordDialogService.ctorParameters = function () { return [
        { type: i1.MatDialog }
    ]; };

    var BluiChangePasswordErrorDialogService = /** @class */ (function () {
        function BluiChangePasswordErrorDialogService(dialog) {
            this.dialog = dialog;
        }
        BluiChangePasswordErrorDialogService.prototype.openDialog = function (data) {
            return this.dialog.open(BluiAuthErrorDialogComponent, {
                disableClose: true,
                data: data,
            });
        };
        return BluiChangePasswordErrorDialogService;
    }());
    /** @nocollapse */ BluiChangePasswordErrorDialogService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiChangePasswordErrorDialogService_Factory() { return new BluiChangePasswordErrorDialogService(i0__namespace.ɵɵinject(i1__namespace.MatDialog)); }, token: BluiChangePasswordErrorDialogService, providedIn: "root" });
    BluiChangePasswordErrorDialogService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    BluiChangePasswordErrorDialogService.ctorParameters = function () { return [
        { type: i1.MatDialog }
    ]; };

    var BluiChangePasswordComponent = /** @class */ (function () {
        function BluiChangePasswordComponent(_router, _formBuilder, _bluiAuthConfig, _bluiFormsService, _bluiAuthUIService, _changeDetectorRef, _bluiSecurityService, _bluiChangePasswordDialogService, _bluiChangePasswordErrorDialogService) {
            this._router = _router;
            this._formBuilder = _formBuilder;
            this._bluiAuthConfig = _bluiAuthConfig;
            this._bluiFormsService = _bluiFormsService;
            this._bluiAuthUIService = _bluiAuthUIService;
            this._changeDetectorRef = _changeDetectorRef;
            this._bluiSecurityService = _bluiSecurityService;
            this._bluiChangePasswordDialogService = _bluiChangePasswordDialogService;
            this._bluiChangePasswordErrorDialogService = _bluiChangePasswordErrorDialogService;
            this.isLoading = false;
            this.passesStrengthCheck = false;
            this.passwordChangeSuccess = false;
            this.passwordsMatch = false;
        }
        BluiChangePasswordComponent.prototype.ngOnInit = function () {
            this.translate = this._bluiAuthConfig.getTranslations();
            this.passwordRequirements = this._bluiAuthConfig.getPasswordRequirements();
        };
        BluiChangePasswordComponent.prototype.ngAfterViewInit = function () {
            this.currentPasswordFormControl = this.currentPasswordComponent.passwordFormControl;
            this.newPasswordFormControl = this.newPasswordComponent.passwordFormControl;
            this.confirmPasswordFormControl = this.confirmPasswordComponent.passwordFormControl;
            this._changeDetectorRef.detectChanges();
        };
        BluiChangePasswordComponent.prototype.closeDialog = function () {
            this._bluiChangePasswordDialogService.closeDialog();
        };
        BluiChangePasswordComponent.prototype.done = function () {
            this.closeDialog();
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.LOGIN]);
        };
        BluiChangePasswordComponent.prototype.changePassword = function () {
            var _this = this;
            var oldPassword = this.currentPasswordFormControl.value;
            var newPassword = this.newPasswordFormControl.value;
            this.isLoading = true;
            this._bluiAuthUIService
                .changePassword(oldPassword, newPassword)
                .then(function () {
                _this.passwordChangeSuccess = true;
                _this._bluiSecurityService.onUserNotAuthenticated();
                _this.isLoading = false;
            })
                .catch(function (data) {
                _this.passwordChangeSuccess = false;
                _this.isLoading = false;
                _this._bluiChangePasswordErrorDialogService.openDialog(data);
            });
        };
        BluiChangePasswordComponent.prototype.focusNewPassword = function () {
            this._bluiFormsService.advanceToNextField(this.newPasswordComponent.passwordInputElement);
        };
        BluiChangePasswordComponent.prototype.focusConfirmPassword = function () {
            this._bluiFormsService.advanceToNextField(this.confirmPasswordComponent.passwordInputElement);
        };
        BluiChangePasswordComponent.prototype.allowPasswordChange = function () {
            return (this.currentPasswordFormControl &&
                this.currentPasswordFormControl.value &&
                this.passwordsMatch &&
                this.passesStrengthCheck);
        };
        return BluiChangePasswordComponent;
    }());
    BluiChangePasswordComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-change-password',
                    template: "<blui-auth-loading-overlay *ngIf=\"isLoading\"></blui-auth-loading-overlay>\n<div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CHANGE_PASSWORD.TITLE\"></div>\n<div class=\"blui-auth-full-height\" [class.blui-change-password-centered-content]=\"passwordChangeSuccess\">\n    <ng-container *ngIf=\"!passwordChangeSuccess\">\n        <p\n            class=\"mat-body-1 blui-change-password-instructions\"\n            [innerHTML]=\"translate.CHANGE_PASSWORD.INSTRUCTIONS\"\n        ></p>\n        <mat-divider style=\"margin-bottom: 32px\" class=\"blui-auth-divider\"></mat-divider>\n        <form>\n            <blui-password-field\n                #currentPasswordField\n                [label]=\"translate.CHANGE_PASSWORD.CURRENT_PASSWORD_FORM_LABEL\"\n                (enter)=\"focusNewPassword()\"\n            >\n            </blui-password-field>\n            <blui-password-field\n                #newPasswordField\n                [label]=\"translate.CHANGE_PASSWORD.NEW_PASSWORD_FORM_LABEL\"\n                (enter)=\"focusConfirmPassword()\"\n            ></blui-password-field>\n            <blui-password-strength-checker\n                [(meetsRequirements)]=\"passesStrengthCheck\"\n                [formValue]=\"newPasswordFormControl?.value\"\n                [requirements]=\"passwordRequirements\"\n            >\n            </blui-password-strength-checker>\n            <blui-password-field\n                #confirmPasswordField\n                [label]=\"translate.CHANGE_PASSWORD.CONFIRM_PASSWORD_FORM_LABEL\"\n                [shouldMatch]=\"newPasswordFormControl\"\n                [(passwordsMatch)]=\"passwordsMatch\"\n                (enter)=\"allowPasswordChange() ? changePassword() : ''\"\n            >\n            </blui-password-field>\n        </form>\n    </ng-container>\n\n    <blui-empty-state *ngIf=\"passwordChangeSuccess\" class=\"blui-change-password-empty-state\">\n        <div blui-title [innerHTML]=\"translate.CHANGE_PASSWORD.SUCCESS_TITLE\"></div>\n        <div blui-description [innerHTML]=\"translate.CHANGE_PASSWORD.SUCCESS_DESCRIPTION\"></div>\n        <mat-icon blui-empty-icon color=\"primary\" class=\"blui-change-password-empty-state-icon\">check_circle</mat-icon>\n    </blui-empty-state>\n</div>\n\n<mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n\n<div class=\"blui-auth-action-button-container\">\n    <button\n        *ngIf=\"!passwordChangeSuccess\"\n        mat-stroked-button\n        color=\"primary\"\n        (click)=\"closeDialog()\"\n        style=\"width: 100px;\"\n    >\n        {{ translate.GENERAL.BACK_BUTTON }}\n    </button>\n    <button\n        mat-flat-button\n        *ngIf=\"!passwordChangeSuccess\"\n        [disabled]=\"!allowPasswordChange()\"\n        color=\"primary\"\n        (click)=\"changePassword()\"\n        style=\"width: 100px;\"\n    >\n        {{ translate.GENERAL.OKAY_BUTTON }}\n    </button>\n    <button mat-flat-button *ngIf=\"passwordChangeSuccess\" color=\"primary\" (click)=\"done()\" [style.width.%]=\"100\">\n        {{ translate.GENERAL.LOGIN_BUTTON }}\n    </button>\n</div>\n",
                    host: {
                        class: 'blui-change-password',
                    },
                    styles: [":host{display:flex;flex-direction:column;height:100%}.blui-change-password-instructions{margin-bottom:32px;margin-top:8px}.blui-change-password-centered-content{justify-content:center}::ng-deep .blui-change-password-empty-state .blui-empty-state-description{color:inherit!important}::ng-deep .blui-change-password-empty-state .blui-empty-state-empty-icon-wrapper{margin-bottom:16px}@media only screen and (max-width:600px){::ng-deep .blui-change-password-dialog .mat-dialog-container{padding:16px!important;border-radius:0!important}::ng-deep .blui-change-password-dialog{max-width:none!important;width:100%!important;height:100%!important}}"]
                },] }
    ];
    /** @nocollapse */
    BluiChangePasswordComponent.ctorParameters = function () { return [
        { type: i3.Router },
        { type: forms.FormBuilder },
        { type: BluiAuthConfig },
        { type: BluiFormsService },
        { type: BluiAuthUIService },
        { type: i0.ChangeDetectorRef },
        { type: BluiAuthSecurityService },
        { type: BluiChangePasswordDialogService },
        { type: BluiChangePasswordErrorDialogService }
    ]; };
    BluiChangePasswordComponent.propDecorators = {
        currentPasswordComponent: [{ type: i0.ViewChild, args: ['currentPasswordField',] }],
        newPasswordComponent: [{ type: i0.ViewChild, args: ['newPasswordField',] }],
        confirmPasswordComponent: [{ type: i0.ViewChild, args: ['confirmPasswordField',] }]
    };

    var BluiCreateAccountInviteErrorDialogService = /** @class */ (function () {
        function BluiCreateAccountInviteErrorDialogService(dialog) {
            this.dialog = dialog;
        }
        BluiCreateAccountInviteErrorDialogService.prototype.openDialog = function (data) {
            return this.dialog.open(BluiAuthErrorDialogComponent, {
                disableClose: true,
                data: data,
            });
        };
        return BluiCreateAccountInviteErrorDialogService;
    }());
    /** @nocollapse */ BluiCreateAccountInviteErrorDialogService.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiCreateAccountInviteErrorDialogService_Factory() { return new BluiCreateAccountInviteErrorDialogService(i0__namespace.ɵɵinject(i1__namespace.MatDialog)); }, token: BluiCreateAccountInviteErrorDialogService, providedIn: "root" });
    BluiCreateAccountInviteErrorDialogService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    BluiCreateAccountInviteErrorDialogService.ctorParameters = function () { return [
        { type: i1.MatDialog }
    ]; };

    var ACCOUNT_DETAILS_STARTING_PAGE = 2;
    var BluiCreateAccountInviteComponent = /** @class */ (function () {
        function BluiCreateAccountInviteComponent(_router, _bluiAuthConfig, _bluiRegisterService, _bluiSecurityService, _bluiErrorDialogService) {
            var _this = this;
            this._router = _router;
            this._bluiAuthConfig = _bluiAuthConfig;
            this._bluiRegisterService = _bluiRegisterService;
            this._bluiSecurityService = _bluiSecurityService;
            this._bluiErrorDialogService = _bluiErrorDialogService;
            this.accountDetails = [];
            this.isEmpty = function (el) { return isEmptyView(el); };
            this.stateListener = this._bluiSecurityService.securityStateChanges().subscribe(function (state) {
                _this.isLoading = state.isLoading;
            });
        }
        BluiCreateAccountInviteComponent.prototype.ngOnInit = function () {
            this.translate = this._bluiAuthConfig.getTranslations();
            this.validateRegistrationLink();
            this.registrationUtils = new CreateAccountService(ACCOUNT_DETAILS_STARTING_PAGE, this.accountDetails);
        };
        BluiCreateAccountInviteComponent.prototype.ngOnDestroy = function () {
            this.stateListener.unsubscribe();
        };
        BluiCreateAccountInviteComponent.prototype.validateRegistrationLink = function () {
            var _this = this;
            this._bluiSecurityService.setLoadingMessage('Validating registration link...');
            this._bluiSecurityService.setLoading(true);
            this._bluiRegisterService
                .validateUserRegistrationRequest()
                .then(function (registrationComplete) {
                _this._bluiSecurityService.setLoading(false);
                _this.isValidRegistrationLink = true;
                _this.isBrightlayerCloudAccount = registrationComplete;
            })
                .catch(function (data) {
                _this._bluiErrorDialogService.openDialog(data);
                _this._bluiSecurityService.setLoading(false);
                _this.isValidRegistrationLink = false;
            });
        };
        BluiCreateAccountInviteComponent.prototype.registerAccount = function () {
            var _this = this;
            this._bluiSecurityService.setLoading(true);
            var customForms = this.registrationUtils.getAccountDetailsCustomValues();
            this._bluiRegisterService
                .completeRegistration(this.firstName, this.lastName, customForms, this.password)
                .then(function () {
                var e_1, _a;
                _this._bluiSecurityService.setLoading(false);
                _this.registrationSuccessScreenContext = {
                    email: undefined,
                    firstName: _this.firstName,
                    lastName: _this.lastName,
                };
                try {
                    for (var _b = __values(customForms.keys()), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var key = _c.value;
                        _this.registrationSuccessScreenContext[key] = customForms.get(key).value;
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
                _this._bluiSecurityService.updateSecurityState({ registrationPassword: '' });
                _this.registrationUtils.clearAccountDetails();
                _this.registrationUtils.nextStep();
            })
                .catch(function (data) {
                _this._bluiSecurityService.setLoading(false);
                _this._bluiErrorDialogService.openDialog(data);
            });
        };
        BluiCreateAccountInviteComponent.prototype.attemptContinue = function () {
            if (this.canContinue()) {
                this.goNext();
            }
        };
        BluiCreateAccountInviteComponent.prototype.canContinue = function () {
            if (this.registrationUtils.isAccountDetailsPage()) {
                return this.registrationUtils.isFirstAccountDetailsPage()
                    ? this.validAccountName && this.registrationUtils.hasValidAccountDetails()
                    : this.registrationUtils.hasValidAccountDetails();
            }
            switch (this.registrationUtils.getCurrentPage()) {
                case 0:
                    return this.userAcceptsEula;
                case 1:
                    return this.passwordMeetsRequirements;
                default:
                    return;
            }
        };
        BluiCreateAccountInviteComponent.prototype.goNext = function () {
            if (this.registrationUtils.isAccountDetailsPage()) {
                return this.registrationUtils.isLastAccountDetailsPage()
                    ? this.registerAccount()
                    : this.registrationUtils.nextStep();
            }
            if (this.registrationUtils.getCurrentPage() === 1) {
                this._bluiSecurityService.updateSecurityState({ registrationPassword: this.password });
            }
            return this.registrationUtils.nextStep();
        };
        BluiCreateAccountInviteComponent.prototype.goBack = function () {
            if (this.registrationUtils.getCurrentPage() === 0) {
                this.navigateToLogin();
            }
            else {
                this.registrationUtils.prevStep();
            }
        };
        BluiCreateAccountInviteComponent.prototype.navigateToLogin = function () {
            this._bluiSecurityService.updateSecurityState({ registrationPassword: '' });
            this.registrationUtils.clearAccountDetails();
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.LOGIN]);
        };
        BluiCreateAccountInviteComponent.prototype.getUserName = function () {
            return this.firstName + " " + this.lastName;
        };
        return BluiCreateAccountInviteComponent;
    }());
    BluiCreateAccountInviteComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-create-account-invite',
                    template: "<!-- Error State -->\n<ng-container *ngIf=\"!isValidRegistrationLink && !isLoading\">\n    <div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CREATE_ACCOUNT.EULA.TITLE\"></div>\n    <div class=\"blui-create-account-invite-content-error-state\">\n        <blui-empty-state>\n            <div blui-title>\n                <div #registrationLinkErrorTitleVC>\n                    <ng-content select=\"[blui-registration-link-error-title]\"></ng-content>\n                </div>\n                <div\n                    *ngIf=\"isEmpty(registrationLinkErrorTitleEl)\"\n                    [innerHTML]=\"translate.CREATE_ACCOUNT.REGISTRATION_LINK.INVALID_TITLE\"\n                ></div>\n            </div>\n            <div blui-description>\n                <div #registrationLinkErrorDescVC>\n                    <ng-content select=\"[blui-registration-link-error-description]\"></ng-content>\n                </div>\n                <div\n                    *ngIf=\"isEmpty(registrationLinkErrorDescEl)\"\n                    [innerHTML]=\"translate.CREATE_ACCOUNT.REGISTRATION_LINK.INVALID_DESCRIPTION\"\n                ></div>\n            </div>\n            <mat-icon blui-empty-icon color=\"warn\">error</mat-icon>\n        </blui-empty-state>\n    </div>\n    <mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n    <div class=\"blui-auth-action-button-container\">\n        <button mat-flat-button color=\"primary\" (click)=\"navigateToLogin()\" [style.width.%]=\"100\">\n            {{ translate.GENERAL.OKAY_BUTTON }}\n        </button>\n    </div>\n</ng-container>\n\n<ng-container *ngIf=\"isValidRegistrationLink && !isBrightlayerCloudAccount\">\n    <blui-create-account-eula-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 0 && isValidRegistrationLink\"\n        [(userAcceptsEula)]=\"userAcceptsEula\"\n    ></blui-create-account-eula-step>\n\n    <blui-create-account-create-password-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 1\"\n        [(password)]=\"password\"\n        [(passwordMeetsRequirements)]=\"passwordMeetsRequirements\"\n        (advance)=\"attemptContinue()\"\n    >\n    </blui-create-account-create-password-step>\n\n    <!-- Page 1 -->\n    <blui-create-account-account-details-step\n        *ngIf=\"registrationUtils.isFirstAccountDetailsPage()\"\n        [showDefaultAccountDetails]=\"true\"\n        [(firstName)]=\"firstName\"\n        [(lastName)]=\"lastName\"\n        [pageTitle]=\"accountDetails[0]?.pageTitle\"\n        [pageInstructions]=\"accountDetails[0]?.pageInstructions\"\n        (accountNameValid)=\"validAccountName = $event\"\n        (advance)=\"attemptContinue()\"\n    >\n        <template\n            blui-account-details\n            [ngTemplateOutlet]=\"registrationUtils.getCustomAccountDetailsTemplate()\"\n        ></template>\n    </blui-create-account-account-details-step>\n\n    <!-- Custom Account Details Pages -->\n    <blui-create-account-account-details-step\n        *ngIf=\"registrationUtils.isCustomAccountsDetailsPage()\"\n        [pageTitle]=\"registrationUtils.getCustomAccountDetailsTitle()\"\n        [pageInstructions]=\"registrationUtils.getCustomAccountDetailsInstructions()\"\n    >\n        <template\n            blui-account-details\n            [ngTemplateOutlet]=\"registrationUtils.getCustomAccountDetailsTemplate()\"\n        ></template>\n    </blui-create-account-account-details-step>\n\n    <blui-create-account-account-created-step\n        *ngIf=\"registrationUtils.showAccountCreatedPage()\"\n        [userName]=\"getUserName()\"\n        [registrationSuccessScreen]=\"registrationSuccessScreen\"\n        [registrationSuccessScreenContext]=\"registrationSuccessScreenContext\"\n    ></blui-create-account-account-created-step>\n\n    <ng-container *ngIf=\"!registrationUtils.showAccountCreatedPage()\">\n        <mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n        <div class=\"blui-auth-action-button-container\">\n            <blui-mobile-stepper\n                [steps]=\"registrationUtils.getNumberOfSteps()\"\n                [activeStep]=\"registrationUtils.getCurrentPage()\"\n            >\n                <button blui-back-button mat-stroked-button color=\"primary\" style=\"width: 100px;\" (click)=\"goBack()\">\n                    <ng-container *ngIf=\"registrationUtils.getCurrentPage() === 0\">\n                        {{ translate.GENERAL.CANCEL_BUTTON }}\n                    </ng-container>\n                    <ng-container *ngIf=\"registrationUtils.getCurrentPage() !== 0\">\n                        {{ translate.GENERAL.BACK_BUTTON }}\n                    </ng-container>\n                </button>\n                <button\n                    blui-next-button\n                    mat-flat-button\n                    color=\"primary\"\n                    style=\"width: 100px;\"\n                    [disabled]=\"!canContinue()\"\n                    (click)=\"goNext()\"\n                >\n                    {{ translate.GENERAL.NEXT_BUTTON }}\n                </button>\n            </blui-mobile-stepper>\n        </div>\n    </ng-container>\n</ng-container>\n\n<ng-container *ngIf=\"isValidRegistrationLink && isBrightlayerCloudAccount\">\n    <blui-create-account-account-existing-step [registrationSuccessScreen]=\"existingAccountSuccessScreen\">\n    </blui-create-account-account-existing-step>\n</ng-container>\n",
                    styles: ["blui-create-account-account-created-step,blui-create-account-account-details-step,blui-create-account-account-existing-step,blui-create-account-create-password-step,blui-create-account-eula-step{display:flex;flex:1 1 0;flex-direction:column}.blui-create-account-invite-content-error-state{display:flex;flex-direction:column;flex:1 1 0;justify-content:center}"]
                },] }
    ];
    /** @nocollapse */
    BluiCreateAccountInviteComponent.ctorParameters = function () { return [
        { type: i3.Router },
        { type: BluiAuthConfig },
        { type: BluiRegisterUIService },
        { type: BluiAuthSecurityService },
        { type: BluiCreateAccountInviteErrorDialogService }
    ]; };
    BluiCreateAccountInviteComponent.propDecorators = {
        accountDetails: [{ type: i0.Input }],
        registrationSuccessScreen: [{ type: i0.Input }],
        existingAccountSuccessScreen: [{ type: i0.Input }],
        registrationLinkErrorTitleEl: [{ type: i0.ViewChild, args: ['registrationLinkErrorTitleVC',] }],
        registrationLinkErrorDescEl: [{ type: i0.ViewChild, args: ['registrationLinkErrorDescVC',] }]
    };

    var LoadingOverlayComponent = /** @class */ (function () {
        function LoadingOverlayComponent() {
        }
        return LoadingOverlayComponent;
    }());
    LoadingOverlayComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-auth-loading-overlay',
                    template: "\n        <div class=\"blui-auth-loading-overlay\"></div>\n        <div class=\"blui-auth-loading-spinner\">\n            <mat-spinner color=\"primary\"></mat-spinner>\n            <h2 *ngIf=\"loadingMessage\" class=\"blui-auth-loading-message mat-title\">\n                {{ loadingMessage }}\n            </h2>\n        </div>\n    ",
                    styles: [".blui-auth-loading-overlay{position:fixed;top:0;left:0;width:100%;height:100%;background:#424e54;z-index:3;opacity:.2}.blui-auth-loading-spinner{display:flex;position:absolute;top:0;left:0;width:100%;height:100%;z-index:4;justify-content:center;align-items:center;flex-direction:column}.blui-auth-loading-message{margin-top:16px;margin-bottom:-40px}"]
                },] }
    ];
    LoadingOverlayComponent.propDecorators = {
        loadingMessage: [{ type: i0.Input }]
    };

    var PasswordStrengthCheckComponent = /** @class */ (function () {
        function PasswordStrengthCheckComponent() {
            this.icon = 'done';
            this.success = false;
        }
        return PasswordStrengthCheckComponent;
    }());
    PasswordStrengthCheckComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'app-password-strength-check',
                    template: "\n        <mat-list-item class=\"blui-auth-password-check\">\n            <mat-icon class=\"check-icon\" [color]=\"success ? 'primary' : undefined\">{{ icon }}</mat-icon>\n            <span class=\"validation-message mat-subheading-1\" [class.success]=\"success\">\n                {{ validationMessage }}\n            </span>\n        </mat-list-item>\n    ",
                    styles: [".blui-auth-password-check.mat-list-item ::ng-deep .mat-list-item-content{padding:0}.blui-auth-password-check{height:auto}.blui-auth-password-check .validation-message{padding-left:8px;font-weight:400;line-height:1.75}.blui-auth-password-check .check-icon{height:18px;width:18px;font-size:18px}.validation-message.success,mat-icon{color:#b9bfc2}"]
                },] }
    ];
    PasswordStrengthCheckComponent.propDecorators = {
        icon: [{ type: i0.Input }],
        validationMessage: [{ type: i0.Input }],
        success: [{ type: i0.Input }]
    };

    var BluiPasswordStrengthCheckerComponent = /** @class */ (function () {
        function BluiPasswordStrengthCheckerComponent() {
            this.requirements = [];
            this.meetsRequirementsChange = new i0.EventEmitter();
        }
        BluiPasswordStrengthCheckerComponent.prototype.ngOnChanges = function () {
            var e_1, _a;
            var _this = this;
            var passwordMeetsRequirements = true;
            try {
                for (var _b = __values(this.requirements), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var requirement = _c.value;
                    requirement.success = requirement.regex.test(this.formValue);
                    passwordMeetsRequirements = passwordMeetsRequirements && requirement.success;
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
            setTimeout(function () {
                _this.meetsRequirementsChange.emit(passwordMeetsRequirements);
            });
        };
        return BluiPasswordStrengthCheckerComponent;
    }());
    BluiPasswordStrengthCheckerComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-password-strength-checker',
                    encapsulation: i0.ViewEncapsulation.None,
                    template: "\n        <mat-list class=\"blui-password-strength-checker-content\">\n            <ng-container *ngFor=\"let requirement of requirements\">\n                <app-password-strength-check\n                    [success]=\"requirement.success\"\n                    [icon]=\"requirement.icon || 'done'\"\n                    [validationMessage]=\"requirement.description\"\n                >\n                </app-password-strength-check>\n            </ng-container>\n        </mat-list>\n    ",
                    host: {
                        class: 'blui-password-strength-checker',
                    },
                    styles: ["\n            blui-password-strength-checker {\n                display: flex;\n            }\n            mat-list-item.blui-password-strength-checker-content {\n                height: auto;\n            }\n        "]
                },] }
    ];
    BluiPasswordStrengthCheckerComponent.propDecorators = {
        requirements: [{ type: i0.Input }],
        formValue: [{ type: i0.Input }],
        meetsRequirements: [{ type: i0.Input }],
        meetsRequirementsChange: [{ type: i0.Output }]
    };

    var BluiCommonComponentsModule = /** @class */ (function () {
        function BluiCommonComponentsModule() {
        }
        return BluiCommonComponentsModule;
    }());
    BluiCommonComponentsModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [
                        EmailFieldComponent,
                        LoadingOverlayComponent,
                        PasswordFieldComponent,
                        PasswordStrengthCheckComponent,
                        BluiAuthErrorDialogComponent,
                        BluiPasswordStrengthCheckerComponent,
                    ],
                    entryComponents: [BluiAuthErrorDialogComponent],
                    imports: [
                        platformBrowser.BrowserModule,
                        animations.BrowserAnimationsModule,
                        common.CommonModule,
                        button.MatButtonModule,
                        divider.MatDividerModule,
                        icon.MatIconModule,
                        input.MatInputModule,
                        list.MatListModule,
                        progressSpinner.MatProgressSpinnerModule,
                        forms.ReactiveFormsModule,
                    ],
                    exports: [
                        EmailFieldComponent,
                        LoadingOverlayComponent,
                        PasswordFieldComponent,
                        PasswordStrengthCheckComponent,
                        BluiAuthErrorDialogComponent,
                        BluiPasswordStrengthCheckerComponent,
                    ],
                },] }
    ];

    var BluiAccountCreatedComponent = /** @class */ (function () {
        function BluiAccountCreatedComponent(_router, _bluiAuthConfig, _changeDetectorRef) {
            this._router = _router;
            this._bluiAuthConfig = _bluiAuthConfig;
            this._changeDetectorRef = _changeDetectorRef;
        }
        BluiAccountCreatedComponent.prototype.ngOnInit = function () {
            this.translate = this._bluiAuthConfig.getTranslations();
        };
        BluiAccountCreatedComponent.prototype.ngAfterViewInit = function () {
            this._changeDetectorRef.detectChanges();
        };
        BluiAccountCreatedComponent.prototype.navigateToLogin = function () {
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.LOGIN]);
        };
        return BluiAccountCreatedComponent;
    }());
    BluiAccountCreatedComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-create-account-account-created-step',
                    template: "\n        <ng-container *ngIf=\"!registrationSuccessScreen\">\n            <div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CREATE_ACCOUNT.ACCOUNT_CREATED.TITLE\"></div>\n            <div class=\"blui-auth-full-height\" style=\"justify-content: center;\">\n                <blui-empty-state class=\"blui-account-created-empty-state\">\n                    <div blui-title>\n                        <div\n                            [innerHTML]=\"translate.CREATE_ACCOUNT.ACCOUNT_CREATED.WELCOME_MESSAGE_TITLE(userName)\"\n                        ></div>\n                    </div>\n                    <div blui-description>\n                        <div\n                            [innerHTML]=\"translate.CREATE_ACCOUNT.ACCOUNT_CREATED.WELCOME_MESSAGE_DESCRIPTION(email)\"\n                        ></div>\n                    </div>\n                    <mat-icon blui-empty-icon class=\"blui-account-created-icon\" color=\"primary\">check_circle</mat-icon>\n                </blui-empty-state>\n            </div>\n            <mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n            <div class=\"blui-auth-action-button-container\">\n                <button mat-flat-button color=\"primary\" (click)=\"navigateToLogin()\" style=\"width: 100%\">\n                    {{ translate.CREATE_ACCOUNT.ACCOUNT_CREATED.CONTINUE_BUTTON }}\n                </button>\n            </div>\n        </ng-container>\n        <div style=\"display: flex; flex-direction: column\" [style.flex]=\"!registrationSuccessScreen ? '' : '1 1 0'\">\n            <ng-template\n                [ngTemplateOutlet]=\"registrationSuccessScreen\"\n                [ngTemplateOutletContext]=\"registrationSuccessScreenContext\"\n            ></ng-template>\n        </div>\n    "
                },] }
    ];
    /** @nocollapse */
    BluiAccountCreatedComponent.ctorParameters = function () { return [
        { type: i3.Router },
        { type: BluiAuthConfig },
        { type: i0.ChangeDetectorRef }
    ]; };
    BluiAccountCreatedComponent.propDecorators = {
        userName: [{ type: i0.Input }],
        email: [{ type: i0.Input }],
        registrationSuccessScreen: [{ type: i0.Input }],
        registrationSuccessScreenContext: [{ type: i0.Input }]
    };

    /* Default Account Details consists of a First/Last Name (required) and a phone number (optional). */
    var BluiAccountDetailsComponent = /** @class */ (function () {
        function BluiAccountDetailsComponent(bluiFormsService, _bluiAuthConfig) {
            this.bluiFormsService = bluiFormsService;
            this._bluiAuthConfig = _bluiAuthConfig;
            this.showDefaultAccountDetails = false; // Used to hide defaults whenever there are custom account detail forms.
            this.firstNameChange = new i0.EventEmitter();
            this.lastNameChange = new i0.EventEmitter();
            this.accountNameValid = new i0.EventEmitter();
            this.advance = new i0.EventEmitter();
        }
        BluiAccountDetailsComponent.prototype.ngOnInit = function () {
            var _a, _b;
            this.translate = this._bluiAuthConfig.getTranslations();
            if (this.showDefaultAccountDetails) {
                this.firstNameFormControl = new forms.FormControl(this.firstName, forms.Validators.required);
                this.lastNameFormControl = new forms.FormControl(this.lastName, forms.Validators.required);
            }
            this.firstNameMaxLength = (_a = this._bluiAuthConfig.customFirstNameRequirements) === null || _a === void 0 ? void 0 : _a.maxLength;
            this.lastNameMaxLength = (_b = this._bluiAuthConfig.customLastNameRequirements) === null || _b === void 0 ? void 0 : _b.maxLength;
        };
        /* If we are using the default account details, we need to provide the input validation required for the 'NEXT' button. */
        BluiAccountDetailsComponent.prototype.emitIfValid = function () {
            var isValid = true;
            /* Check for required values */
            isValid = isValid && this.firstNameFormControl.value;
            isValid = isValid && this.lastNameFormControl.value;
            this.accountNameValid.emit(isValid);
        };
        return BluiAccountDetailsComponent;
    }());
    BluiAccountDetailsComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-create-account-account-details-step',
                    template: "\n        <div\n            class=\"mat-title blui-auth-title\"\n            [innerHTML]=\"pageTitle || translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.TITLE\"\n        ></div>\n        <div class=\"blui-auth-full-height\">\n            <p\n                class=\"mat-body-1\"\n                style=\"margin-bottom: 24px;\"\n                [innerHTML]=\"pageInstructions || translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.INSTRUCTIONS\"\n            ></p>\n            <mat-divider class=\"blui-auth-divider\" style=\"margin-top: 16px; margin-bottom: 32px;\"></mat-divider>\n            <div class=\"blui-account-details-body\">\n                <form>\n                    <ng-container *ngIf=\"showDefaultAccountDetails\">\n                        <mat-form-field appearance=\"fill\">\n                            <mat-label>{{ translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.FIRST_NAME_FORM_LABEL }}</mat-label>\n                            <input\n                                #BluiFirst\n                                id=\"blui-first\"\n                                name=\"first\"\n                                matInput\n                                [attr.maxLength]=\"firstNameMaxLength ? firstNameMaxLength : null\"\n                                [formControl]=\"firstNameFormControl\"\n                                required\n                                (ngModelChange)=\"emitIfValid(); firstNameChange.emit(firstNameFormControl.value)\"\n                                (keyup.enter)=\"bluiFormsService.advanceToNextField(lastNameInputElement)\"\n                            />\n                            <mat-error\n                                *ngIf=\"firstNameFormControl.hasError('required')\"\n                                [innerHTML]=\"\n                                    translate.GENERAL.IS_REQUIRED_ERROR(\n                                        translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.FIRST_NAME_FORM_LABEL\n                                    )\n                                \"\n                            >\n                            </mat-error>\n                        </mat-form-field>\n                        <mat-form-field appearance=\"fill\">\n                            <mat-label>{{ translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.LAST_NAME_FORM_LABEL }}</mat-label>\n                            <input\n                                matInput\n                                #bluiLast\n                                id=\"blui-last\"\n                                name=\"last\"\n                                [attr.maxLength]=\"lastNameMaxLength ? lastNameMaxLength : null\"\n                                [formControl]=\"lastNameFormControl\"\n                                required\n                                (ngModelChange)=\"emitIfValid(); lastNameChange.emit(lastNameFormControl.value)\"\n                                (keyup.enter)=\"advance.emit()\"\n                            />\n                            <mat-error\n                                *ngIf=\"lastNameFormControl.hasError('required')\"\n                                [innerHTML]=\"\n                                    translate.GENERAL.IS_REQUIRED_ERROR(\n                                        translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.LAST_NAME_FORM_LABEL\n                                    )\n                                \"\n                            >\n                            </mat-error>\n                        </mat-form-field>\n                    </ng-container>\n                    <ng-content select=\"[blui-account-details]\"></ng-content>\n                </form>\n            </div>\n        </div>\n    ",
                    styles: [".blui-account-details-body{display:flex;flex:1 1 0;overflow:auto}.blui-account-details-body ::ng-deep form{width:100%}.blui-account-details-body ::ng-deep mat-form-field{width:100%;margin-bottom:8px}"]
                },] }
    ];
    /** @nocollapse */
    BluiAccountDetailsComponent.ctorParameters = function () { return [
        { type: BluiFormsService },
        { type: BluiAuthConfig }
    ]; };
    BluiAccountDetailsComponent.propDecorators = {
        showDefaultAccountDetails: [{ type: i0.Input }],
        firstName: [{ type: i0.Input }],
        lastName: [{ type: i0.Input }],
        pageTitle: [{ type: i0.Input }],
        pageInstructions: [{ type: i0.Input }],
        firstNameChange: [{ type: i0.Output }],
        lastNameChange: [{ type: i0.Output }],
        accountNameValid: [{ type: i0.Output }],
        advance: [{ type: i0.Output }],
        lastNameInputElement: [{ type: i0.ViewChild, args: ['bluiLast',] }]
    };

    var BluiCreatePasswordComponent = /** @class */ (function () {
        function BluiCreatePasswordComponent(_ref, _formBuilder, _bluiAuthConfig, _bluiFormsService) {
            this._ref = _ref;
            this._formBuilder = _formBuilder;
            this._bluiAuthConfig = _bluiAuthConfig;
            this._bluiFormsService = _bluiFormsService;
            this.passwordChange = new i0.EventEmitter();
            this.passwordMeetsRequirementsChange = new i0.EventEmitter();
            this.advance = new i0.EventEmitter();
            this.passwordsMatch = false;
            this.passesStrengthCheck = false;
        }
        BluiCreatePasswordComponent.prototype.ngOnInit = function () {
            this.translate = this._bluiAuthConfig.getTranslations();
            this.passwordRequirements = this._bluiAuthConfig.getPasswordRequirements();
        };
        BluiCreatePasswordComponent.prototype.ngAfterViewInit = function () {
            this.passwordFormControl = this.passwordFieldComponent.passwordFormControl;
            this.confirmPasswordFormControl = this.confirmPasswordFieldComponent.passwordFormControl;
            this._ref.detectChanges();
        };
        BluiCreatePasswordComponent.prototype.updatePassword = function (newPassword) {
            this.password = newPassword;
            this.passwordChange.emit(newPassword);
            this.passwordMeetsRequirements = this.hasValidPasswords();
            this.passwordMeetsRequirementsChange.emit(this.passwordMeetsRequirements);
        };
        BluiCreatePasswordComponent.prototype.hasValidPasswords = function () {
            return this.passwordsMatch && this.passesStrengthCheck;
        };
        BluiCreatePasswordComponent.prototype.focusConfirmPassword = function () {
            this._bluiFormsService.advanceToNextField(this.confirmPasswordFieldComponent.passwordInputElement);
        };
        return BluiCreatePasswordComponent;
    }());
    BluiCreatePasswordComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-create-account-create-password-step',
                    template: "\n        <div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CREATE_ACCOUNT.CREATE_PASSWORD.TITLE\"></div>\n        <p\n            class=\"mat-body-1\"\n            style=\"margin-bottom: 24px;\"\n            [innerHTML]=\"translate.CREATE_ACCOUNT.CREATE_PASSWORD.INSTRUCTIONS\"\n        ></p>\n        <mat-divider class=\"blui-auth-divider\" style=\"margin-top: 16px; margin-bottom: 32px;\"></mat-divider>\n        <div class=\"blui-auth-full-height\">\n            <form>\n                <blui-password-field\n                    #passwordField\n                    [rememberPassword]=\"true\"\n                    (enter)=\"focusConfirmPassword()\"\n                ></blui-password-field>\n                <blui-password-strength-checker\n                    [(meetsRequirements)]=\"passesStrengthCheck\"\n                    [formValue]=\"passwordFormControl?.value\"\n                    [requirements]=\"passwordRequirements\"\n                >\n                </blui-password-strength-checker>\n                <blui-password-field\n                    #confirmPasswordField\n                    [rememberPassword]=\"true\"\n                    [label]=\"translate.GENERAL.CONFIRM_PASSWORD_FORM_LABEL\"\n                    [shouldMatch]=\"passwordFormControl\"\n                    [(passwordsMatch)]=\"passwordsMatch\"\n                    (edit)=\"updatePassword($event)\"\n                    (enter)=\"advance.emit()\"\n                >\n                </blui-password-field>\n            </form>\n        </div>\n    "
                },] }
    ];
    /** @nocollapse */
    BluiCreatePasswordComponent.ctorParameters = function () { return [
        { type: i0.ChangeDetectorRef },
        { type: forms.FormBuilder },
        { type: BluiAuthConfig },
        { type: BluiFormsService }
    ]; };
    BluiCreatePasswordComponent.propDecorators = {
        password: [{ type: i0.Input }],
        passwordMeetsRequirements: [{ type: i0.Input }],
        passwordChange: [{ type: i0.Output }],
        passwordMeetsRequirementsChange: [{ type: i0.Output }],
        advance: [{ type: i0.Output }],
        passwordFieldComponent: [{ type: i0.ViewChild, args: ['passwordField',] }],
        confirmPasswordFieldComponent: [{ type: i0.ViewChild, args: ['confirmPasswordField',] }]
    };

    var BluiEulaComponent = /** @class */ (function () {
        function BluiEulaComponent(sanitizer, _changeDetectorRef, _bluiAuthConfig, _bluiRegisterService, _bluiSecurityService) {
            var _this = this;
            this.sanitizer = sanitizer;
            this._changeDetectorRef = _changeDetectorRef;
            this._bluiAuthConfig = _bluiAuthConfig;
            this._bluiRegisterService = _bluiRegisterService;
            this._bluiSecurityService = _bluiSecurityService;
            this.userAcceptsEulaChange = new i0.EventEmitter();
            this.userScrolledBottom = false;
            this._bluiSecurityService.securityStateChanges().subscribe(function (state) {
                _this.isLoading = state.isLoading;
            });
        }
        BluiEulaComponent.prototype.ngOnInit = function () {
            this.translate = this._bluiAuthConfig.getTranslations();
            // Configurable option to require users to scroll to bottom of EULA before accepting.
            if (!this._bluiAuthConfig.eulaScrollLock) {
                this.userScrolledBottom = true;
            }
            // User has already scrolled to the bottom and accepted the EULA.
            if (this.userAcceptsEula) {
                this.userScrolledBottom = true;
            }
            this.getEULA();
        };
        BluiEulaComponent.prototype.getEULA = function () {
            var _this = this;
            if (this._bluiAuthConfig.eula) {
                this.afterGetEula(this._bluiAuthConfig.eula);
            }
            else {
                this._bluiSecurityService.setLoading(true);
                this._bluiRegisterService
                    .loadEULA()
                    .then(function (eula) {
                    _this.afterGetEula(eula);
                })
                    .catch(function () {
                    _this._bluiSecurityService.setLoading(false);
                });
            }
        };
        BluiEulaComponent.prototype.afterGetEula = function (eula) {
            this.eula = eula;
            this._bluiSecurityService.setLoading(false);
            this._changeDetectorRef.detectChanges();
            if (!this.userAcceptsEula) {
                var el = this.eulaVC.nativeElement;
                var isEulaScrollable = el.scrollHeight > el.clientHeight;
                this.userScrolledBottom = !isEulaScrollable;
            }
        };
        BluiEulaComponent.prototype.checkScrollDistance = function (e) {
            if (this.userScrolledBottom) {
                return;
            }
            var el = e.target;
            this.userScrolledBottom = el.scrollHeight - el.scrollTop - el.clientHeight < 1;
        };
        return BluiEulaComponent;
    }());
    BluiEulaComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-create-account-eula-step',
                    template: "\n        <div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CREATE_ACCOUNT.EULA.TITLE\"></div>\n        <div\n            #eulaVC\n            *ngIf=\"eula\"\n            class=\"blui-auth-full-height\"\n            style=\"overflow: auto\"\n            (scroll)=\"checkScrollDistance($event)\"\n            [innerHTML]=\"sanitizer.sanitize(1, eula)\"\n        ></div>\n        <blui-empty-state *ngIf=\"!eula && !isLoading\" class=\"blui-auth-full-height blui-auth-eula-error\">\n            <div blui-title><div [innerHTML]=\"translate.CREATE_ACCOUNT.EULA.LOAD_ERROR_TITLE\"></div></div>\n            <div blui-description><div [innerHTML]=\"translate.CREATE_ACCOUNT.EULA.LOAD_ERROR_DESCRIPTION\"></div></div>\n            <mat-icon blui-empty-icon color=\"warn\">error</mat-icon>\n            <button blui-actions mat-raised-button color=\"primary\" (click)=\"getEULA()\">\n                <mat-icon>replay</mat-icon>\n                {{ translate.CREATE_ACCOUNT.EULA.RELOAD_BUTTON }}\n            </button>\n        </blui-empty-state>\n        <div *ngIf=\"eula\" class=\"blui-eula-confirm-agreement\">\n            <mat-checkbox\n                class=\"blui-eula-checkbox\"\n                [disabled]=\"!userScrolledBottom\"\n                [(ngModel)]=\"userAcceptsEula\"\n                (change)=\"userAcceptsEulaChange.emit(userAcceptsEula)\"\n                ngDefaultControl\n            >\n                {{ translate.CREATE_ACCOUNT.EULA.CONFIRM_READ }}\n            </mat-checkbox>\n        </div>\n    ",
                    styles: [".blui-eula-confirm-agreement{margin:24px 0}::ng-deep .blui-eula-checkbox .mat-checkbox-layout{white-space:normal}::ng-deep .blui-eula-checkbox .mat-checkbox-inner-container{width:18px;height:18px}.blui-auth-eula-error ::ng-deep .blui-empty-state-description{color:inherit}"]
                },] }
    ];
    /** @nocollapse */
    BluiEulaComponent.ctorParameters = function () { return [
        { type: platformBrowser.DomSanitizer },
        { type: i0.ChangeDetectorRef },
        { type: BluiAuthConfig },
        { type: BluiRegisterUIService },
        { type: BluiAuthSecurityService }
    ]; };
    BluiEulaComponent.propDecorators = {
        userAcceptsEula: [{ type: i0.Input }],
        userAcceptsEulaChange: [{ type: i0.Output }],
        eulaVC: [{ type: i0.ViewChild, args: ['eulaVC',] }]
    };

    var BluiProvideEmailComponent = /** @class */ (function () {
        function BluiProvideEmailComponent(_bluiAuthConfig, _bluiSecurityService) {
            this._bluiAuthConfig = _bluiAuthConfig;
            this._bluiSecurityService = _bluiSecurityService;
            this.emailChange = new i0.EventEmitter();
            this.isValidEmailChange = new i0.EventEmitter();
            this.advance = new i0.EventEmitter();
        }
        BluiProvideEmailComponent.prototype.ngOnInit = function () {
            this.translate = this._bluiAuthConfig.getTranslations();
        };
        BluiProvideEmailComponent.prototype.ngAfterViewInit = function () {
            this.emailFormControl = this.emailFieldComponent.emailFormControl;
            if (this.emailFormControl.valid) {
                this.isValidEmailChange.emit(this.emailFormControl.valid);
            }
        };
        BluiProvideEmailComponent.prototype.updateEmail = function (email) {
            this.emailChange.emit(email);
            this.isValidEmailChange.emit(this.emailFormControl.valid);
            this._bluiSecurityService.updateSecurityState({
                registrationEmail: this.emailFormControl.valid ? this.emailFormControl.value : '',
            });
        };
        return BluiProvideEmailComponent;
    }());
    BluiProvideEmailComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-create-account-provide-email-step',
                    template: "\n        <div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CREATE_ACCOUNT.ENTER_EMAIL.TITLE\"></div>\n        <p\n            class=\"mat-body-1\"\n            style=\"margin-bottom: 24px;\"\n            [innerHTML]=\"translate.CREATE_ACCOUNT.ENTER_EMAIL.INSTRUCTIONS\"\n        ></p>\n        <mat-divider class=\"blui-auth-divider\" style=\"margin-top: 16px; margin-bottom: 32px;\"></mat-divider>\n        <div class=\"blui-auth-full-height\">\n            <form>\n                <blui-email-field\n                    [rememberRegistrationEmail]=\"true\"\n                    [customEmailValidator]=\"customEmailValidator\"\n                    (enter)=\"advance.emit()\"\n                    (edit)=\"updateEmail($event)\"\n                ></blui-email-field>\n            </form>\n        </div>\n    "
                },] }
    ];
    /** @nocollapse */
    BluiProvideEmailComponent.ctorParameters = function () { return [
        { type: BluiAuthConfig },
        { type: BluiAuthSecurityService }
    ]; };
    BluiProvideEmailComponent.propDecorators = {
        email: [{ type: i0.Input }],
        isValidEmail: [{ type: i0.Input }],
        customEmailValidator: [{ type: i0.Input }],
        emailChange: [{ type: i0.Output }],
        isValidEmailChange: [{ type: i0.Output }],
        advance: [{ type: i0.Output }],
        emailFieldComponent: [{ type: i0.ViewChild, args: [EmailFieldComponent,] }]
    };

    var BluiVerifyEmailComponent = /** @class */ (function () {
        function BluiVerifyEmailComponent(_bluiAuthConfig, _bluiRegisterService, _bluiSecurityService, _bluiErrorDialogService) {
            this._bluiAuthConfig = _bluiAuthConfig;
            this._bluiRegisterService = _bluiRegisterService;
            this._bluiSecurityService = _bluiSecurityService;
            this._bluiErrorDialogService = _bluiErrorDialogService;
            this.verificationCodeChange = new i0.EventEmitter();
            this.advance = new i0.EventEmitter();
        }
        BluiVerifyEmailComponent.prototype.ngOnInit = function () {
            this.translate = this._bluiAuthConfig.getTranslations();
            this.verificationCodeFormControl = new forms.FormControl(this.verificationCode, forms.Validators.required);
        };
        BluiVerifyEmailComponent.prototype.sendVerificationEmail = function () {
            var _this = this;
            this._bluiSecurityService.setLoading(true);
            this._bluiRegisterService
                .requestRegistrationCode(this.email)
                .then(function () {
                _this._bluiSecurityService.setLoading(false);
            })
                .catch(function (data) {
                _this._bluiErrorDialogService.openDialog(data);
                _this._bluiSecurityService.setLoading(false);
            });
        };
        BluiVerifyEmailComponent.prototype.updateCode = function (code) {
            this.verificationCodeChange.emit(code);
        };
        return BluiVerifyEmailComponent;
    }());
    BluiVerifyEmailComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-create-account-verify-email-step',
                    template: "\n        <div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CREATE_ACCOUNT.VERIFY_EMAIL.TITLE\"></div>\n        <p\n            class=\"mat-body-1\"\n            style=\"margin-bottom: 24px;\"\n            [innerHTML]=\"translate.CREATE_ACCOUNT.VERIFY_EMAIL.INSTRUCTIONS\"\n        ></p>\n        <mat-divider class=\"blui-auth-divider\" style=\"margin-top: 16px; margin-bottom: 32px;\"></mat-divider>\n        <div class=\"blui-auth-full-height\">\n            <form>\n                <mat-form-field appearance=\"fill\" style=\"width: 100%;\">\n                    <mat-label>{{ translate.CREATE_ACCOUNT.VERIFY_EMAIL.CODE_FORM_LABEL }}</mat-label>\n                    <input\n                        id=\"verification\"\n                        name=\"verification\"\n                        matInput\n                        [formControl]=\"verificationCodeFormControl\"\n                        (ngModelChange)=\"updateCode(verificationCodeFormControl.value)\"\n                        (keyup.enter)=\"advance.emit()\"\n                    />\n                    <mat-error\n                        *ngIf=\"verificationCodeFormControl.hasError('required')\"\n                        [innerHTML]=\"\n                            translate.GENERAL.IS_REQUIRED_ERROR(translate.CREATE_ACCOUNT.VERIFY_EMAIL.CODE_FORM_LABEL)\n                        \"\n                    >\n                    </mat-error>\n                </mat-form-field>\n            </form>\n            <button\n                mat-flat-button\n                color=\"primary\"\n                style=\"width: 100%; margin-top: 8px;\"\n                (click)=\"sendVerificationEmail()\"\n                [innerHTML]=\"translate.CREATE_ACCOUNT.VERIFY_EMAIL.RESEND_BUTTON\"\n            ></button>\n        </div>\n    "
                },] }
    ];
    /** @nocollapse */
    BluiVerifyEmailComponent.ctorParameters = function () { return [
        { type: BluiAuthConfig },
        { type: BluiRegisterUIService },
        { type: BluiAuthSecurityService },
        { type: BluiCreateAccountErrorDialogService }
    ]; };
    BluiVerifyEmailComponent.propDecorators = {
        verificationCode: [{ type: i0.Input }],
        email: [{ type: i0.Input }],
        verificationCodeChange: [{ type: i0.Output }],
        advance: [{ type: i0.Output }]
    };

    var BluiExistingAccountComponent = /** @class */ (function () {
        function BluiExistingAccountComponent(_router, _bluiAuthConfig, _changeDetectorRef) {
            this._router = _router;
            this._bluiAuthConfig = _bluiAuthConfig;
            this._changeDetectorRef = _changeDetectorRef;
        }
        BluiExistingAccountComponent.prototype.ngOnInit = function () {
            this.translate = this._bluiAuthConfig.getTranslations();
        };
        BluiExistingAccountComponent.prototype.ngAfterViewInit = function () {
            this._changeDetectorRef.detectChanges();
        };
        BluiExistingAccountComponent.prototype.navigateToLogin = function () {
            void this._router.navigate([AUTH_ROUTES.AUTH_WORKFLOW + "/" + AUTH_ROUTES.LOGIN]);
        };
        return BluiExistingAccountComponent;
    }());
    BluiExistingAccountComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'blui-create-account-account-existing-step',
                    template: "\n        <ng-container *ngIf=\"!registrationSuccessScreen\">\n            <div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CREATE_ACCOUNT.ACCOUNT_EXISTING.TITLE\"></div>\n            <div class=\"blui-auth-full-height\" style=\"justify-content: center;\">\n                <blui-empty-state class=\"blui-account-existing-empty-state\">\n                    <div blui-title>\n                        <div [innerHTML]=\"translate.CREATE_ACCOUNT.ACCOUNT_EXISTING.WELCOME_MESSAGE_TITLE\"></div>\n                    </div>\n                    <div blui-description>\n                        <div\n                            [innerHTML]=\"translate.CREATE_ACCOUNT.ACCOUNT_EXISTING.WELCOME_MESSAGE_DESCRIPTION(email)\"\n                        ></div>\n                    </div>\n                    <mat-icon blui-empty-icon class=\"blui-account-created-icon\" color=\"primary\">check_circle</mat-icon>\n                </blui-empty-state>\n            </div>\n            <mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n            <div class=\"blui-auth-action-button-container\">\n                <button mat-flat-button color=\"primary\" (click)=\"navigateToLogin()\" style=\"width: 100%\">\n                    {{ translate.CREATE_ACCOUNT.ACCOUNT_CREATED.CONTINUE_BUTTON }}\n                </button>\n            </div>\n        </ng-container>\n        <div style=\"display: flex; flex-direction: column\" [style.flex]=\"!registrationSuccessScreen ? '' : '1 1 0'\">\n            <ng-template [ngTemplateOutlet]=\"registrationSuccessScreen\"></ng-template>\n        </div>\n    "
                },] }
    ];
    /** @nocollapse */
    BluiExistingAccountComponent.ctorParameters = function () { return [
        { type: i3.Router },
        { type: BluiAuthConfig },
        { type: i0.ChangeDetectorRef }
    ]; };
    BluiExistingAccountComponent.propDecorators = {
        email: [{ type: i0.Input }],
        registrationSuccessScreen: [{ type: i0.Input }]
    };

    var BluiCreateAccountStepsModule = /** @class */ (function () {
        function BluiCreateAccountStepsModule() {
        }
        return BluiCreateAccountStepsModule;
    }());
    BluiCreateAccountStepsModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [
                        BluiAccountCreatedComponent,
                        BluiAccountDetailsComponent,
                        BluiCreatePasswordComponent,
                        BluiEulaComponent,
                        BluiProvideEmailComponent,
                        BluiVerifyEmailComponent,
                        BluiExistingAccountComponent,
                    ],
                    imports: [
                        platformBrowser.BrowserModule,
                        animations.BrowserAnimationsModule,
                        common.CommonModule,
                        angularComponents.EmptyStateModule,
                        forms.FormsModule,
                        button.MatButtonModule,
                        checkbox.MatCheckboxModule,
                        divider.MatDividerModule,
                        formField.MatFormFieldModule,
                        input.MatInputModule,
                        icon.MatIconModule,
                        BluiCommonComponentsModule,
                        forms.ReactiveFormsModule,
                    ],
                    exports: [
                        BluiAccountCreatedComponent,
                        BluiAccountDetailsComponent,
                        BluiCreatePasswordComponent,
                        BluiEulaComponent,
                        BluiProvideEmailComponent,
                        BluiVerifyEmailComponent,
                        BluiExistingAccountComponent,
                    ],
                },] }
    ];

    var BluiCreateAccountInviteModule = /** @class */ (function () {
        function BluiCreateAccountInviteModule() {
        }
        return BluiCreateAccountInviteModule;
    }());
    BluiCreateAccountInviteModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [BluiCreateAccountInviteComponent],
                    imports: [
                        platformBrowser.BrowserModule,
                        common.CommonModule,
                        progressSpinner.MatProgressSpinnerModule,
                        button.MatButtonModule,
                        i3.RouterModule,
                        icon.MatIconModule,
                        divider.MatDividerModule,
                        angularComponents.EmptyStateModule,
                        angularComponents.MobileStepperModule,
                        i1.MatDialogModule,
                        BluiCreateAccountStepsModule,
                        BluiCommonComponentsModule,
                    ],
                    exports: [BluiCreateAccountInviteComponent, BluiCreateAccountStepsModule],
                },] }
    ];

    var BluiCreateAccountModule = /** @class */ (function () {
        function BluiCreateAccountModule() {
        }
        return BluiCreateAccountModule;
    }());
    BluiCreateAccountModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [BluiCreateAccountComponent],
                    imports: [
                        platformBrowser.BrowserModule,
                        common.CommonModule,
                        progressSpinner.MatProgressSpinnerModule,
                        button.MatButtonModule,
                        i3.RouterModule,
                        icon.MatIconModule,
                        divider.MatDividerModule,
                        angularComponents.MobileStepperModule,
                        angularComponents.EmptyStateModule,
                        i1.MatDialogModule,
                        BluiCreateAccountStepsModule,
                        BluiCommonComponentsModule,
                    ],
                    exports: [BluiCreateAccountComponent, BluiCreateAccountStepsModule],
                },] }
    ];

    var BluiAuthModule = /** @class */ (function () {
        function BluiAuthModule() {
        }
        return BluiAuthModule;
    }());
    BluiAuthModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [
                        BluiLoginComponent,
                        BluiForgotPasswordComponent,
                        BluiResetPasswordComponent,
                        BluiAuthComponent,
                        BluiContactSupportComponent,
                        BluiChangePasswordComponent,
                        BluiChangePasswordDialogComponent,
                    ],
                    imports: [
                        platformBrowser.BrowserModule,
                        common.CommonModule,
                        progressSpinner.MatProgressSpinnerModule,
                        angularComponents.SpacerModule,
                        button.MatButtonModule,
                        formField.MatFormFieldModule,
                        input.MatInputModule,
                        select.MatSelectModule,
                        card.MatCardModule,
                        forms.ReactiveFormsModule,
                        forms.FormsModule,
                        i3.RouterModule,
                        checkbox.MatCheckboxModule,
                        icon.MatIconModule,
                        divider.MatDividerModule,
                        angularComponents.EmptyStateModule,
                        list.MatListModule,
                        i1.MatDialogModule,
                        BluiCreateAccountModule,
                        BluiCreateAccountInviteModule,
                        BluiCommonComponentsModule,
                    ],
                    entryComponents: [BluiChangePasswordDialogComponent],
                    exports: [
                        BluiAuthComponent,
                        BluiLoginComponent,
                        BluiForgotPasswordComponent,
                        BluiCreateAccountComponent,
                        BluiResetPasswordComponent,
                        BluiContactSupportComponent,
                        BluiChangePasswordComponent,
                        BluiCreateAccountModule,
                        BluiCreateAccountInviteModule,
                    ],
                },] }
    ];

    var BluiAuthPageDisabledGuard = /** @class */ (function () {
        function BluiAuthPageDisabledGuard(securityService, _bluiAuthConfig, router) {
            this.securityService = securityService;
            this._bluiAuthConfig = _bluiAuthConfig;
            this.router = router;
        }
        BluiAuthPageDisabledGuard.prototype.navigateRoot = function () {
            void this.router.navigate(['']);
            return false;
        };
        BluiAuthPageDisabledGuard.prototype.canActivate = function (route, state) {
            var url = state.url;
            var showLogin = matchesRoute(url, 'LOGIN');
            var showResetPassword = matchesRoute(url, 'RESET_PASSWORD');
            var showCreateAccount = matchesRoute(url, 'CREATE_ACCOUNT');
            var showForgotPassword = matchesRoute(url, 'FORGOT_PASSWORD');
            var showContactSupport = matchesRoute(url, 'CONTACT_SUPPORT');
            var showCreateAccountInvite = matchesRoute(url, 'CREATE_ACCOUNT_INVITE');
            var isEmptyUrl = url === undefined || url === '' || url === '/';
            if (showLogin || isEmptyUrl) {
                return true;
            }
            if (!this._bluiAuthConfig.showContactSupport && showContactSupport) {
                return this.navigateRoot();
            }
            if (!this._bluiAuthConfig.showCreateAccount && showCreateAccount) {
                return this.navigateRoot();
            }
            if (!this._bluiAuthConfig.showForgotPassword && showForgotPassword) {
                return this.navigateRoot();
            }
            if (!this._bluiAuthConfig.showResetPassword && showResetPassword) {
                return this.navigateRoot();
            }
            if (!this._bluiAuthConfig.showCreateAccountViaInvite && showCreateAccountInvite) {
                return this.navigateRoot();
            }
            // Enable direct routing to internal auth pages if the config has not disabled them.
            if (showLogin ||
                showResetPassword ||
                showCreateAccount ||
                showForgotPassword ||
                showContactSupport ||
                showCreateAccountInvite) {
                return true;
            }
            return true;
        };
        return BluiAuthPageDisabledGuard;
    }());
    /** @nocollapse */ BluiAuthPageDisabledGuard.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiAuthPageDisabledGuard_Factory() { return new BluiAuthPageDisabledGuard(i0__namespace.ɵɵinject(BluiAuthSecurityService), i0__namespace.ɵɵinject(BluiAuthConfig), i0__namespace.ɵɵinject(i3__namespace.Router)); }, token: BluiAuthPageDisabledGuard, providedIn: "root" });
    BluiAuthPageDisabledGuard.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    BluiAuthPageDisabledGuard.ctorParameters = function () { return [
        { type: BluiAuthSecurityService },
        { type: BluiAuthConfig },
        { type: i3.Router }
    ]; };

    function getAuthSubRoutes() {
        return [
            { path: '', redirectTo: AUTH_ROUTES.LOGIN, pathMatch: 'full' },
            { path: AUTH_ROUTES.LOGIN, component: BluiLoginComponent },
            {
                path: AUTH_ROUTES.RESET_PASSWORD,
                component: BluiResetPasswordComponent,
                canActivate: [BluiAuthPageDisabledGuard],
            },
            {
                path: AUTH_ROUTES.FORGOT_PASSWORD,
                component: BluiForgotPasswordComponent,
                canActivate: [BluiAuthPageDisabledGuard],
            },
            {
                path: AUTH_ROUTES.CREATE_ACCOUNT,
                component: BluiCreateAccountComponent,
                canActivate: [BluiAuthPageDisabledGuard],
            },
            {
                path: AUTH_ROUTES.CONTACT_SUPPORT,
                component: BluiContactSupportComponent,
                canActivate: [BluiAuthPageDisabledGuard],
            },
            {
                path: AUTH_ROUTES.CREATE_ACCOUNT_INVITE,
                component: BluiCreateAccountInviteComponent,
                canActivate: [BluiAuthPageDisabledGuard],
            },
        ];
    }

    var BluiAuthGuard = /** @class */ (function () {
        function BluiAuthGuard(bluiAuthConfig, securityService, router) {
            this.bluiAuthConfig = bluiAuthConfig;
            this.securityService = securityService;
            this.router = router;
        }
        BluiAuthGuard.prototype.canActivate = function () {
            if (!this.securityService.getSecurityState().isAuthenticatedUser) {
                var route = this.bluiAuthConfig.authGuardRedirectRoute === undefined
                    ? AUTH_ROUTES.AUTH_WORKFLOW
                    : this.bluiAuthConfig.authGuardRedirectRoute;
                void this.router.navigate([route]);
                return false;
            }
            return true;
        };
        return BluiAuthGuard;
    }());
    /** @nocollapse */ BluiAuthGuard.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function BluiAuthGuard_Factory() { return new BluiAuthGuard(i0__namespace.ɵɵinject(BluiAuthConfig), i0__namespace.ɵɵinject(BluiAuthSecurityService), i0__namespace.ɵɵinject(i3__namespace.Router)); }, token: BluiAuthGuard, providedIn: "root" });
    BluiAuthGuard.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    BluiAuthGuard.ctorParameters = function () { return [
        { type: BluiAuthConfig },
        { type: BluiAuthSecurityService },
        { type: i3.Router }
    ]; };

    function mergeAuthTranslations(original, overrides) {
        var _a, _b, _c, _d, _e, _f, _g;
        Object.assign(original.GENERAL, overrides.GENERAL);
        Object.assign(original.CONTACT_SUPPORT, overrides.CONTACT_SUPPORT);
        Object.assign(original.CHANGE_PASSWORD, overrides.CHANGE_PASSWORD);
        Object.assign(original.RESET_PASSWORD, overrides.RESET_PASSWORD);
        Object.assign(original.FORGOT_PASSWORD, overrides.FORGOT_PASSWORD);
        // Create Account
        Object.assign(original.CREATE_ACCOUNT.EULA, (_a = overrides.CREATE_ACCOUNT) === null || _a === void 0 ? void 0 : _a.EULA);
        Object.assign(original.CREATE_ACCOUNT.REGISTRATION_LINK, (_b = overrides.CREATE_ACCOUNT) === null || _b === void 0 ? void 0 : _b.REGISTRATION_LINK);
        Object.assign(original.CREATE_ACCOUNT.ACCOUNT_CREATED, (_c = overrides.CREATE_ACCOUNT) === null || _c === void 0 ? void 0 : _c.ACCOUNT_CREATED);
        Object.assign(original.CREATE_ACCOUNT.VERIFY_EMAIL, (_d = overrides.CREATE_ACCOUNT) === null || _d === void 0 ? void 0 : _d.VERIFY_EMAIL);
        Object.assign(original.CREATE_ACCOUNT.ENTER_EMAIL, (_e = overrides.CREATE_ACCOUNT) === null || _e === void 0 ? void 0 : _e.ENTER_EMAIL);
        Object.assign(original.CREATE_ACCOUNT.CREATE_PASSWORD, (_f = overrides.CREATE_ACCOUNT) === null || _f === void 0 ? void 0 : _f.CREATE_PASSWORD);
        Object.assign(original.CREATE_ACCOUNT.ACCOUNT_DETAILS, (_g = overrides.CREATE_ACCOUNT) === null || _g === void 0 ? void 0 : _g.ACCOUNT_DETAILS);
    }

    /*
     * Public API Surface of BLUI Auth Workflow
     */

    /**
     Copyright (c) 2021-present, Eaton

     All rights reserved.

     This code is licensed under the BSD-3 license found in the LICENSE file in the root directory of this source tree and at https://opensource.org/licenses/BSD-3-Clause.
     **/

    /**
     * Generated bundle index. Do not edit.
     */

    exports.AUTH_ROUTES = AUTH_ROUTES;
    exports.BLUI_LOGIN_VALIDATOR_ERROR_NAME = BLUI_LOGIN_VALIDATOR_ERROR_NAME;
    exports.BluiAccountCreatedComponent = BluiAccountCreatedComponent;
    exports.BluiAccountDetailsComponent = BluiAccountDetailsComponent;
    exports.BluiAuthComponent = BluiAuthComponent;
    exports.BluiAuthConfig = BluiAuthConfig;
    exports.BluiAuthGuard = BluiAuthGuard;
    exports.BluiAuthModule = BluiAuthModule;
    exports.BluiAuthPageDisabledGuard = BluiAuthPageDisabledGuard;
    exports.BluiAuthSecurityService = BluiAuthSecurityService;
    exports.BluiAuthUIService = BluiAuthUIService;
    exports.BluiChangePasswordComponent = BluiChangePasswordComponent;
    exports.BluiChangePasswordDialogService = BluiChangePasswordDialogService;
    exports.BluiChangePasswordErrorDialogService = BluiChangePasswordErrorDialogService;
    exports.BluiContactSupportComponent = BluiContactSupportComponent;
    exports.BluiCreateAccountComponent = BluiCreateAccountComponent;
    exports.BluiCreateAccountErrorDialogService = BluiCreateAccountErrorDialogService;
    exports.BluiCreateAccountInviteComponent = BluiCreateAccountInviteComponent;
    exports.BluiCreateAccountInviteErrorDialogService = BluiCreateAccountInviteErrorDialogService;
    exports.BluiCreateAccountInviteModule = BluiCreateAccountInviteModule;
    exports.BluiCreateAccountModule = BluiCreateAccountModule;
    exports.BluiCreateAccountStepsModule = BluiCreateAccountStepsModule;
    exports.BluiCreatePasswordComponent = BluiCreatePasswordComponent;
    exports.BluiEulaComponent = BluiEulaComponent;
    exports.BluiForgotPasswordComponent = BluiForgotPasswordComponent;
    exports.BluiForgotPasswordErrorDialogService = BluiForgotPasswordErrorDialogService;
    exports.BluiFormsService = BluiFormsService;
    exports.BluiLoginComponent = BluiLoginComponent;
    exports.BluiLoginErrorDialogService = BluiLoginErrorDialogService;
    exports.BluiProvideEmailComponent = BluiProvideEmailComponent;
    exports.BluiRegisterUIService = BluiRegisterUIService;
    exports.BluiResetPasswordComponent = BluiResetPasswordComponent;
    exports.BluiResetPasswordErrorDialogService = BluiResetPasswordErrorDialogService;
    exports.BluiVerifyEmailComponent = BluiVerifyEmailComponent;
    exports.bluiAuthChineseTranslations = bluiAuthChineseTranslations;
    exports.bluiAuthEnglishTranslations = bluiAuthEnglishTranslations;
    exports.bluiAuthFrenchTranslations = bluiAuthFrenchTranslations;
    exports.bluiAuthSpanishTranslations = bluiAuthSpanishTranslations;
    exports.getAuthSubRoutes = getAuthSubRoutes;
    exports.mergeAuthTranslations = mergeAuthTranslations;
    exports["ɵa"] = EmailFieldComponent;
    exports["ɵb"] = PasswordFieldComponent;
    exports["ɵc"] = BluiAuthUIService;
    exports["ɵd"] = BluiChangePasswordDialogComponent;
    exports["ɵe"] = BluiRegisterUIService;
    exports["ɵf"] = BluiExistingAccountComponent;
    exports["ɵg"] = BluiCommonComponentsModule;
    exports["ɵh"] = LoadingOverlayComponent;
    exports["ɵi"] = PasswordStrengthCheckComponent;
    exports["ɵj"] = BluiAuthErrorDialogComponent;
    exports["ɵk"] = BluiPasswordStrengthCheckerComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=brightlayer-ui-angular-auth-workflow.umd.js.map
